package Hardware::PCI::Table;

#   $Id: Table.pm,v 1.2 2001/08/02 00:00:58 sdague Exp $

#   Copyright (c) 2001 International Business Machines

#   This program is free software; you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation; either version 2 of the License, or
#   (at your option) any later version.
 
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
 
#   You should have received a copy of the GNU General Public License
#   along with this program; if not, write to the Free Software
#   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

#   Sean Dague <japh@us.ibm.com>

# This module is generated automagically by lst2pm.pl from the pci.lst file
# which is in the detect src from Linux Mandrake


use strict;
require Exporter;
use vars qw($PCI $VERSION @ISA @EXPORT_OK @EXPORT %EXPORT_TAGS);

push @ISA, qw(Exporter);

%EXPORT_TAGS = ( 
                'all' => [
                          qw(pci_entry pci_module pci_type pci_vendor pci_product)
                         ],
               );

@EXPORT_OK = ( @{ $EXPORT_TAGS{'all'} } );

$VERSION = sprintf("%d.%02d", q$Revision: 1.2 $ =~ /(\d+)\.(\d+)/);

sub _device_lookup {
    my ($vend, $dev) = @_;
    my %hash;
    if($vend =~ /^(\w{4})(\w{4})$/) {
        return %{$PCI->{$1}->{$2}} if $PCI->{$1}->{$2};
    } elsif (length($vend) == length($dev) and length($dev) == 4) {
        return %{$PCI->{$vend}->{$dev}} if $PCI->{$vend}->{$dev};
    } else {
        return %hash;
    }
    return %hash;
}

sub pci_entry {
    my %hash = _device_lookup(@_);
    return \%hash;
}

sub pci_vendor {
    my %hash = _device_lookup(@_);
    return $hash{vendor};
}

sub pci_module {
    my %hash = _device_lookup(@_);
    return $hash{module};
}

sub pci_type {
    my %hash = _device_lookup(@_);
    return $hash{type};
}

sub pci_product {
    my %hash = _device_lookup(@_);
    return $hash{product};
}

$PCI = {

'0001' => {
	'1002' => {
		'type' => 'unknown',
		'module' => 'bttv',
		'vendor' => 'ATI',
		'product' => 'TV Wonder',
		},
	'1461' => {
		'type' => 'unknown',
		'module' => 'bttv',
		'vendor' => 'AVerMedia',
		'product' => 'TVPhone98',
		},
	},
'0002' => {
	'1461' => {
		'type' => 'unknown',
		'module' => 'bttv',
		'vendor' => 'Avermedia',
		'product' => 'TVCapture 98',
		},
	},
'0003' => {
	'1002' => {
		'type' => 'unknown',
		'module' => 'bttv',
		'vendor' => 'ATI',
		'product' => 'TV Wonder/VE',
		},
	'1461' => {
		'type' => 'unknown',
		'module' => 'bttv',
		'vendor' => 'AVerMedia',
		'product' => 'TVPhone98',
		},
	},
'0004' => {
	'1461' => {
		'type' => 'unknown',
		'module' => 'bttv',
		'vendor' => 'AVerMedia',
		'product' => 'TVPhone98',
		},
	},
'0012' => {
	'11bd' => {
		'type' => 'unknown',
		'module' => 'bttv',
		'vendor' => 'Pinnacle PCTV',
		'product' => '',
		},
	},
'0101' => {
	'15cb' => {
		'type' => 'unknown',
		'module' => 'bttv',
		'vendor' => 'AG GMV1',
		'product' => '',
		},
	},
'0675' => {
	'1700' => {
		'type' => 'unknown',
		'module' => 'hisax',
		'vendor' => 'Dynalink',
		'product' => 'IS64PH ISDN Adapter',
		},
	'1702' => {
		'type' => 'unknown',
		'module' => 'hisax',
		'vendor' => 'Dynalink',
		'product' => 'IS64PH ISDN Adapter',
		},
	},
'0871' => {
	'ffa1' => {
		'type' => 'unknown',
		'module' => 'hisax',
		'vendor' => 'German telekom',
		'product' => 'A1T',
		},
	'ffa2' => {
		'type' => 'unknown',
		'module' => 'hisax',
		'vendor' => 'German telekom',
		'product' => 'T-Concept',
		},
	},
'0e11' => {
	'0508' => {
		'type' => 'unknown',
		'module' => 'sktr',
		'vendor' => 'Compaq',
		'product' => 'Netelligent 4/16 Token Ring',
		},
	'3033' => {
		'type' => 'unknown',
		'module' => 'Server:SVGA',
		'vendor' => 'Compaq',
		'product' => 'QVision 1280/p',
		},
	'7020' => {
		'type' => 'unknown',
		'module' => 'usb-ohci',
		'vendor' => 'Compaq',
		'product' => 'USB Controller',
		},
	'a0f8' => {
		'type' => 'unknown',
		'module' => 'usb-ohci',
		'vendor' => 'Compaq',
		'product' => 'USB Open Host Controller',
		},
	'ae10' => {
		'type' => 'unknown',
		'module' => 'cpqarray',
		'vendor' => 'Compaq',
		'product' => 'Smart-2/P RAID Controller',
		},
	'ae32' => {
		'type' => 'ethernet',
		'module' => 'tlan',
		'vendor' => 'Compaq',
		'product' => 'Netelligent 10/100',
		},
	'ae34' => {
		'type' => 'ethernet',
		'module' => 'tlan',
		'vendor' => 'Compaq',
		'product' => 'Netelligent 10',
		},
	'ae35' => {
		'type' => 'ethernet',
		'module' => 'tlan',
		'vendor' => 'Compaq',
		'product' => 'Integrated NetFlex-3/P',
		},
	'ae40' => {
		'type' => 'ethernet',
		'module' => 'tlan',
		'vendor' => 'Compaq',
		'product' => 'Netelligent 10/100 Dual',
		},
	'ae43' => {
		'type' => 'ethernet',
		'module' => 'tlan',
		'vendor' => 'Compaq',
		'product' => 'ProLiant Integrated Netelligent 10/100',
		},
	'ae6c' => {
		'type' => 'ethernet',
		'module' => 'tlan',
		'vendor' => 'Compaq',
		'product' => 'Northstar',
		},
	'b011' => {
		'type' => 'ethernet',
		'module' => 'tlan',
		'vendor' => 'Compaq',
		'product' => 'Integrated Netelligent 10/100',
		},
	'b012' => {
		'type' => 'ethernet',
		'module' => 'tlan',
		'vendor' => 'Compaq',
		'product' => 'Netelligent 10 T/2',
		},
	'b030' => {
		'type' => 'ethernet',
		'module' => 'tlan',
		'vendor' => 'Compaq',
		'product' => 'Netelligent WS 5100',
		},
	'b060' => {
		'type' => 'unknown',
		'module' => 'cciss',
		'vendor' => 'Compaq',
		'product' => 'Smart Array 5300 Controller',
		},
	'f130' => {
		'type' => 'ethernet',
		'module' => 'tlan',
		'vendor' => 'Compaq',
		'product' => 'NetFlex-3/P ThunderLAN 1.0',
		},
	'f150' => {
		'type' => 'ethernet',
		'module' => 'tlan',
		'vendor' => 'Compaq',
		'product' => 'NetFlex-3/P ThunderLAN 2.3',
		},
	},
'1000' => {
	'0001' => {
		'type' => 'scsi',
		'module' => '53c7,8xx',
		'vendor' => 'Symbios',
		'product' => '53c810',
		},
	'0002' => {
		'type' => 'scsi',
		'module' => 'ncr53c8xx',
		'vendor' => 'Symbios',
		'product' => '53c820',
		},
	'0003' => {
		'type' => 'scsi',
		'module' => 'ncr53c8xx',
		'vendor' => 'Symbios',
		'product' => '53c825',
		},
	'0004' => {
		'type' => 'scsi',
		'module' => 'ncr53c8xx',
		'vendor' => 'Symbios',
		'product' => '53c815',
		},
	'0005' => {
		'type' => 'scsi',
		'module' => 'ncr53c8xx',
		'vendor' => 'Symbios',
		'product' => '53c810AP',
		},
	'0006' => {
		'type' => 'scsi',
		'module' => 'ncr53c8xx',
		'vendor' => 'Symbios',
		'product' => '53c860',
		},
	'000a' => {
		'type' => 'scsi',
		'module' => 'ncr53c8xx',
		'vendor' => 'Symbios',
		'product' => '53c1510',
		},
	'000b' => {
		'type' => 'scsi',
		'module' => 'ncr53c8xx',
		'vendor' => 'Symbios',
		'product' => '53c896',
		},
	'000c' => {
		'type' => 'scsi',
		'module' => 'ncr53c8xx',
		'vendor' => 'Symbios',
		'product' => '53c895',
		},
	'000d' => {
		'type' => 'scsi',
		'module' => 'ncr53c8xx',
		'vendor' => 'Symbios',
		'product' => '53c885',
		},
	'000f' => {
		'type' => 'scsi',
		'module' => 'sym53c8xx',
		'vendor' => 'Symbios',
		'product' => '53c875',
		},
	'0010' => {
		'type' => 'unknown',
		'module' => 'cpqarray',
		'vendor' => 'Symbios',
		'product' => '53c1510 Array Mode [Compaq Integrated Smart Array]',
		},
	'0012' => {
		'type' => 'scsi',
		'module' => 'sym53c8xx',
		'vendor' => 'Symbios',
		'product' => '53c895a',
		},
	'0020' => {
		'type' => 'scsi',
		'module' => 'sym53c8xx',
		'vendor' => 'Symbios',
		'product' => '53c1010-33 Ultra3 SCSI Adapter',
		},
	'0021' => {
		'type' => 'scsi',
		'module' => 'sym53c8xx',
		'vendor' => 'Symbios',
		'product' => '53c1010-66 Ultra3 SCSI Adapter',
		},
	'008f' => {
		'type' => 'scsi',
		'module' => 'ncr53c8xx',
		'vendor' => 'Symbios',
		'product' => '53c875J',
		},
	'0701' => {
		'type' => 'ethernet',
		'module' => 'yellowfin',
		'vendor' => 'Symbios',
		'product' => '83C885 gigabit ethernet',
		},
	'0702' => {
		'type' => 'ethernet',
		'module' => 'yellowfin',
		'vendor' => 'Symbios',
		'product' => 'Yellowfin G-NIC gigabit ethernet',
		},
	},
'100b' => {
	'0020' => {
		'type' => 'ethernet',
		'module' => 'natsemi',
		'vendor' => 'National Semi',
		'product' => 'DP83810 10/100 Ethernet',
		},
	},
'1011' => {
	'0001' => {
		'type' => 'ethernet',
		'module' => 'tulip',
		'vendor' => 'DEC',
		'product' => 'DECchip 21050',
		},
	'0002' => {
		'type' => 'ethernet',
		'module' => 'de4x5',
		'vendor' => 'DEC',
		'product' => 'DECchip 21040 [Tulip]',
		},
	'0009' => {
		'type' => 'ethernet',
		'module' => 'tulip',
		'vendor' => 'DEC',
		'product' => 'DECchip 21140 [FasterNet]',
		},
	'000f' => {
		'type' => 'ethernet',
		'module' => 'defxx',
		'vendor' => 'DEC',
		'product' => 'DEFPA',
		},
	'0014' => {
		'type' => 'ethernet',
		'module' => 'de4x5',
		'vendor' => 'DEC',
		'product' => 'DECchip 21041 [Tulip Pass 3]',
		},
	'0019' => {
		'type' => 'ethernet',
		'module' => 'tulip',
		'vendor' => 'DEC',
		'product' => 'DECchip 21142/43',
		},
	'001a' => {
		'type' => 'ethernet',
		'module' => 'acenic',
		'vendor' => 'Farallon',
		'product' => 'PN9000SX',
		},
	'0021' => {
		'type' => 'ethernet',
		'module' => 'tulip',
		'vendor' => 'DEC',
		'product' => 'DECchip 21052',
		},
	'0022' => {
		'type' => 'ethernet',
		'module' => 'tulip',
		'vendor' => 'DEC',
		'product' => 'DECchip 21150',
		},
	'0025' => {
		'type' => 'ethernet',
		'module' => 'tulip',
		'vendor' => 'DEC',
		'product' => 'DECchip 21153',
		},
	'0046' => {
		'type' => 'unknown',
		'module' => 'cpqarray',
		'vendor' => 'DEC',
		'product' => 'DECchip 21554 [Compaq Smart Array Controller]',
		},
	'1065' => {
		'type' => 'unknown',
		'module' => 'DAC960',
		'vendor' => 'DEC',
		'product' => 'RAID Controller',
		},
	},
'1013' => {
	'1100' => {
		'type' => 'unknown',
		'module' => 'i82365',
		'vendor' => 'Cirrus Logic',
		'product' => 'CL 6729',
		},
	'1110' => {
		'type' => 'unknown',
		'module' => 'i82365',
		'vendor' => 'Cirrus Logic',
		'product' => 'PD 6832',
		},
	'6001' => {
		'type' => 'unknown',
		'module' => 'cs46xx',
		'vendor' => 'Cirrus Logic',
		'product' => 'CS 4610/11 [CrystalClear SoundFusion Audio Accelerator]',
		},
	'6003' => {
		'type' => 'unknown',
		'module' => 'cs46xx',
		'vendor' => 'Cirrus Logic',
		'product' => 'CS 4614/22/24 [CrystalClear SoundFusion Audio Accelerator]',
		},
	'6004' => {
		'type' => 'unknown',
		'module' => 'cs46xx',
		'vendor' => 'Cirrus Logic',
		'product' => 'unknown (? CrystalClear SoundFusion Audio Accelerator?)',
		},
	'6005' => {
		'type' => 'unknown',
		'module' => 'cs4281',
		'vendor' => 'Cirrus Logic',
		'product' => 'Crystal CS4281 PCI Audio',
		},
	},
'1014' => {
	'002e' => {
		'type' => 'scsi',
		'module' => 'ips',
		'vendor' => 'IBM',
		'product' => 'ServeRAID controller',
		},
	'003e' => {
		'type' => 'tokenring',
		'module' => 'olympic',
		'vendor' => 'IBM',
		'product' => '16/4 Token ring UTP/STP controller',
		},
	'005c' => {
		'type' => 'ethernet',
		'module' => 'eepro100',
		'vendor' => 'IBM',
		'product' => 'i82557B 10/100 PCI Ethernet Adapter',
		},
	},
'101a' => {
	'0005' => {
		'type' => 'ethernet',
		'module' => 'hp100',
		'vendor' => 'AT&T GIS (NCR)',
		'product' => '100VG ethernet',
		},
	},
'101e' => {
	'1960' => {
		'type' => 'scsi',
		'module' => 'megaraid',
		'vendor' => 'AMI',
		'product' => 'MegaRAID',
		},
	'9010' => {
		'type' => 'scsi',
		'module' => 'megaraid',
		'vendor' => 'AMI',
		'product' => 'MegaRAID',
		},
	'9060' => {
		'type' => 'scsi',
		'module' => 'megaraid',
		'vendor' => 'AMI',
		'product' => 'MegaRAID',
		},
	},
'1022' => {
	'2000' => {
		'type' => 'ethernet',
		'module' => 'pcnet32',
		'vendor' => 'Advanced Micro Devices [AMD]',
		'product' => '79c970 [PCnet LANCE]',
		},
	'2001' => {
		'type' => 'ethernet',
		'module' => 'pcnet32',
		'vendor' => 'Advanced Micro Devices [AMD]',
		'product' => '79c978 [HomePNA]',
		},
	'2020' => {
		'type' => 'scsi',
		'module' => 'AM53C974',
		'vendor' => 'Advanced Micro Devices [AMD]',
		'product' => '53c974 [PCscsi]',
		},
	'7006' => {
		'type' => 'unknown',
		'module' => 'agpgart',
		'vendor' => 'Advanced Micro Devices [AMD]',
		'product' => 'AMD-751 [Irongate] System Controller',
		},
	'7404' => {
		'type' => 'unknown',
		'module' => 'usb-ohci',
		'vendor' => 'Advanced Micro Devices (AMD)',
		'product' => 'AMD-755 PCI to USB Open Host Controller',
		},
	'740c' => {
		'type' => 'unknown',
		'module' => 'usb-ohci',
		'vendor' => 'Advanced Micro Devices (AMD)',
		'product' => 'AMD-756 PCI to USB Open Host Controller',
		},
	},
'1023' => {
	'2000' => {
		'type' => 'unknown',
		'module' => 'snd-card-trident',
		'vendor' => 'Trident Microsystems',
		'product' => '4DWave DX',
		},
	'2001' => {
		'type' => 'unknown',
		'module' => 'snd-card-trident',
		'vendor' => 'Trident Microsystems',
		'product' => '4DWave NX',
		},
	},
'1025' => {
	'1541' => {
		'type' => 'unknown',
		'module' => 'agpgart',
		'vendor' => 'Acer Incorporated [ALI]',
		'product' => 'M1541 Northbridge [Aladdin V]',
		},
	'5451' => {
		'type' => 'unknown',
		'module' => 'trident',
		'vendor' => 'Acer Incorporated [ALI]',
		'product' => 'ALI M5451 PCI AC-Link Controller Audio Device',
		},
	},
'1028' => {
	'0001' => {
		'type' => 'unknown',
		'module' => 'aacraid',
		'vendor' => 'Dell Computer Corporation',
		'product' => 'PowerEdge Expandable RAID Controller 2/Si',
		},
	'0002' => {
		'type' => 'unknown',
		'module' => 'aacraid',
		'vendor' => 'Dell Computer Corporation',
		'product' => 'PowerEdge Expandable RAID Controller 3/Di',
		},
	'0003' => {
		'type' => 'unknown',
		'module' => 'aacraid',
		'vendor' => 'Dell Computer Corporation',
		'product' => 'PowerEdge Expandable RAID Controller 3/Si',
		},
	'0004' => {
		'type' => 'unknown',
		'module' => 'aacraid',
		'vendor' => 'Dell Computer Corporation',
		'product' => 'PowerEdge Expandable RAID Controller 3/Si',
		},
	'0005' => {
		'type' => 'unknown',
		'module' => 'aacraid',
		'vendor' => 'Dell Computer Corporation',
		'product' => 'PowerEdge Expandable RAID Controller 3/Di',
		},
	'0006' => {
		'type' => 'unknown',
		'module' => 'aacraid',
		'vendor' => 'Dell Computer Corporation',
		'product' => 'PowerEdge Expandable RAID Controller 3/Di',
		},
	'0008' => {
		'type' => 'unknown',
		'module' => 'aacraid',
		'vendor' => 'Dell Computer Corporation',
		'product' => 'PowerEdge Expandable RAID Controller 3/Di',
		},
	},
'1031' => {
	'5601' => {
		'type' => 'unknown',
		'module' => 'Server:SVGA',
		'vendor' => 'Miro',
		'product' => 'DC20 ASIC (ZR36050)',
		},
	},
'1033' => {
	'0035' => {
		'type' => 'unknown',
		'module' => 'usb-ohci',
		'vendor' => 'NEC',
		'product' => 'USB',
		},
	},
'1036' => {
	'0000' => {
		'type' => 'scsi',
		'module' => 'fdomain',
		'vendor' => 'Future Domain',
		'product' => 'TMC-18C30 [36C70]',
		},
	},
'1039' => {
	'0530' => {
		'type' => 'unknown',
		'module' => 'agpgart',
		'vendor' => 'Silicon Integrated Systems [SiS]',
		'product' => '530 Host',
		},
	'0540' => {
		'type' => 'unknown',
		'module' => 'agpgart',
		'vendor' => 'Silicon Integrated Systems [SiS]',
		'product' => '540 Host',
		},
	'0620' => {
		'type' => 'unknown',
		'module' => 'agpgart',
		'vendor' => 'Silicon Integrated Systems [SiS]',
		'product' => '620 Host',
		},
	'0630' => {
		'type' => 'unknown',
		'module' => 'agpgart',
		'vendor' => 'Silicon Integrated Systems [SiS]',
		'product' => '630 Host',
		},
	'0900' => {
		'type' => 'ethernet',
		'module' => 'sis900',
		'vendor' => 'Silicon Integrated Systems [SiS]',
		'product' => 'SiS900 10/100 Ethernet',
		},
	'7001' => {
		'type' => 'unknown',
		'module' => 'usb-ohci',
		'vendor' => 'Silicon Integrated Systems [SiS]',
		'product' => '7001 USB',
		},
	'7016' => {
		'type' => 'ethernet',
		'module' => 'sis900',
		'vendor' => 'Silicon Integrated Systems [SiS]',
		'product' => 'SiS900 10/100 Ethernet',
		},
	'7018' => {
		'type' => 'unknown',
		'module' => 'snd-card-trident',
		'vendor' => 'Silicon Integrated Systems [SiS]',
		'product' => '7018 PCI Audio',
		},
	},
'103c' => {
	'1030' => {
		'type' => 'ethernet',
		'module' => 'hp100',
		'vendor' => 'HP',
		'product' => 'J2585A',
		},
	'1031' => {
		'type' => 'ethernet',
		'module' => 'hp100',
		'vendor' => 'HP',
		'product' => 'J2585B',
		},
	'10c2' => {
		'type' => 'unknown',
		'module' => 'aacraid',
		'vendor' => 'HP',
		'product' => 'NetRAID-4M',
		},
	},
'1043' => {
	'0675' => {
		'type' => 'unknown',
		'module' => 'hisax',
		'vendor' => 'Asuscom/Askey',
		'product' => '',
		},
	},
'1044' => {
	'a400' => {
		'type' => 'scsi',
		'module' => 'eata',
		'vendor' => 'Distributed Tech',
		'product' => 'SmartCache/Raid I-IV Controller',
		},
	'a501' => {
		'type' => 'unknown',
		'module' => 'dpt_i2o',
		'vendor' => 'Distributed Tech',
		'product' => 'SmartRAID V Controller',
		},
	},
'1045' => {
	'a0f8' => {
		'type' => 'unknown',
		'module' => 'usb-ohci',
		'vendor' => 'OPTi Inc.',
		'product' => '82C750 [Vendetta] USB Controller',
		},
	'c861' => {
		'type' => 'unknown',
		'module' => 'usb-ohci',
		'vendor' => 'OPTi Inc.',
		'product' => '82C861',
		},
	},
'1048' => {
	'1000' => {
		'type' => 'unknown',
		'module' => 'hisax',
		'vendor' => 'Elsa AG',
		'product' => 'QuickStep 1000 ISDN Adapter',
		},
	'3000' => {
		'type' => 'unknown',
		'module' => 'hisax',
		'vendor' => 'Elsa AG',
		'product' => 'QuickStep 3000 ISDN Adapter',
		},
	},
'104a' => {
	'0981' => {
		'type' => 'ethernet',
		'module' => 'tulip',
		'vendor' => '',
		'product' => '',
		},
	'2774' => {
		'type' => 'ethernet',
		'module' => 'tulip',
		'vendor' => '',
		'product' => '',
		},
	},
'104b' => {
	'0140' => {
		'type' => 'scsi',
		'module' => 'BusLogic',
		'vendor' => 'BusLogic',
		'product' => 'BT-946C (old) [multimaster 01]',
		},
	'1040' => {
		'type' => 'scsi',
		'module' => 'BusLogic',
		'vendor' => 'BusLogic',
		'product' => 'BT-946C (BA80C30) [MultiMaster 10]',
		},
	'8130' => {
		'type' => 'scsi',
		'module' => 'BusLogic',
		'vendor' => 'BusLogic',
		'product' => 'Flashpoint LT',
		},
	},
'104c' => {
	'ac12' => {
		'type' => 'unknown',
		'module' => 'i82365',
		'vendor' => 'Texas Instruments',
		'product' => 'PCI1130',
		},
	'ac13' => {
		'type' => 'unknown',
		'module' => 'i82365',
		'vendor' => 'Texas Instruments',
		'product' => 'PCI1031',
		},
	'ac15' => {
		'type' => 'unknown',
		'module' => 'i82365',
		'vendor' => 'Texas Instruments',
		'product' => 'PCI1131',
		},
	'ac16' => {
		'type' => 'unknown',
		'module' => 'i82365',
		'vendor' => 'Texas Instruments',
		'product' => 'PCI1250',
		},
	'ac17' => {
		'type' => 'unknown',
		'module' => 'i82365',
		'vendor' => 'Texas Instruments',
		'product' => 'PCI1220',
		},
	'ac19' => {
		'type' => 'unknown',
		'module' => 'i82365',
		'vendor' => 'Texas Instruments',
		'product' => 'PCI1221',
		},
	'ac1a' => {
		'type' => 'unknown',
		'module' => 'i82365',
		'vendor' => 'Texas Instruments',
		'product' => 'PCI1210',
		},
	'ac1b' => {
		'type' => 'unknown',
		'module' => 'i82365',
		'vendor' => 'Texas Instruments',
		'product' => 'PCI1221',
		},
	'ac1c' => {
		'type' => 'unknown',
		'module' => 'i82365',
		'vendor' => 'Texas Instruments',
		'product' => 'PCI1225',
		},
	'ac1d' => {
		'type' => 'unknown',
		'module' => 'i82365',
		'vendor' => 'Texas Instruments',
		'product' => 'PCI1251',
		},
	'ac1e' => {
		'type' => 'unknown',
		'module' => 'i82365',
		'vendor' => 'Texas Instruments',
		'product' => 'PCI1251',
		},
	'ac1f' => {
		'type' => 'unknown',
		'module' => 'i82365',
		'vendor' => 'Texas Instruments',
		'product' => 'PCI1251B',
		},
	},
'1050' => {
	'0000' => {
		'type' => 'ethernet',
		'module' => 'ne2k-pci',
		'vendor' => 'Winbond Electronics Corp',
		'product' => 'NE2000',
		},
	'0840' => {
		'type' => 'ethernet',
		'module' => 'winbond-840',
		'vendor' => 'Winbond Electronics Corp',
		'product' => 'W89C840',
		},
	'0940' => {
		'type' => 'ethernet',
		'module' => 'ne2k-pci',
		'vendor' => 'Winbond Electronics Corp',
		'product' => 'W89C940',
		},
	'5a5a' => {
		'type' => 'ethernet',
		'module' => 'ne2k-pci',
		'vendor' => 'Winbond Electronics Corp',
		'product' => 'W89C940F',
		},
	'6692' => {
		'type' => 'unknown',
		'module' => 'hisax',
		'vendor' => 'Winbond Electronics Corp',
		'product' => 'W6692 ISDN Adapter',
		},
	},
'1051' => {
	'0100' => {
		'type' => 'unknown',
		'module' => 'hisax',
		'vendor' => 'Motorola MC145575',
		'product' => 'MC145575 ISDN Adapter',
		},
	},
'1055' => {
	'9462' => {
		'type' => 'unknown',
		'module' => 'usb-ohci',
		'vendor' => 'EFAR Microsystems',
		'product' => 'USB Universal Host Controller [OHCI]',
		},
	},
'1069' => {
	'0001' => {
		'type' => 'unknown',
		'module' => 'DAC960',
		'vendor' => 'Mylex Corporation',
		'product' => 'DAC960P',
		},
	'0002' => {
		'type' => 'unknown',
		'module' => 'DAC960',
		'vendor' => 'Mylex Corporation',
		'product' => 'DAC960PD',
		},
	'0010' => {
		'type' => 'unknown',
		'module' => 'DAC960',
		'vendor' => 'Mylex Corporation',
		'product' => 'DAC960PX',
		},
	'0020' => {
		'type' => 'unknown',
		'module' => 'DAC960',
		'vendor' => 'Mylex Corporation',
		'product' => 'DAC960 V5',
		},
	'0050' => {
		'type' => 'unknown',
		'module' => 'DAC960',
		'vendor' => 'Mylex Corporation',
		'product' => 'Raid Adapter (DAC960)',
		},
	'ba55' => {
		'type' => 'unknown',
		'module' => 'DAC960',
		'vendor' => 'Mylex Corporation',
		'product' => 'eXtremeRAID support Device',
		},
	'ba56' => {
		'type' => 'unknown',
		'module' => 'DAC960',
		'vendor' => 'Mylex Corporation',
		'product' => 'eXtremeRAID 2000/3000 support Device',
		},
	},
'106b' => {
	'0019' => {
		'type' => 'unknown',
		'module' => 'usb-ohci',
		'vendor' => 'Apple',
		'product' => 'Keylargo USB',
		},
	},
'1073' => {
	'0003' => {
		'type' => 'unknown',
		'module' => 'snd-card-ymfpci',
		'vendor' => 'Yamaha Corporation',
		'product' => 'YMF-740',
		},
	'0004' => {
		'type' => 'unknown',
		'module' => 'snd-card-ymfpci',
		'vendor' => 'Yamaha Corporation',
		'product' => 'YMF-724',
		},
	'0005' => {
		'type' => 'unknown',
		'module' => 'ymfpci',
		'vendor' => 'Yamaha Corp',
		'product' => 'DS1 Audio',
		},
	'0006' => {
		'type' => 'unknown',
		'module' => 'ymfpci',
		'vendor' => 'Yamaha Corp',
		'product' => 'DS1 Audio',
		},
	'0008' => {
		'type' => 'unknown',
		'module' => 'ymfpci',
		'vendor' => 'Yamaha Corp',
		'product' => 'DS1 Audio',
		},
	'000a' => {
		'type' => 'unknown',
		'module' => 'snd-card-ymfpci',
		'vendor' => 'Yamaha Corp',
		'product' => 'DS1L Audio',
		},
	'000c' => {
		'type' => 'unknown',
		'module' => 'snd-card-ymfpci',
		'vendor' => 'Yamaha Corporation',
		'product' => 'YMF-740C [DS-1L Audio Controller]',
		},
	'000d' => {
		'type' => 'unknown',
		'module' => 'snd-card-ymfpci',
		'vendor' => 'Yamaha Corporation',
		'product' => 'YMF-724F [DS-1 Audio Controller]',
		},
	'0010' => {
		'type' => 'unknown',
		'module' => 'snd-card-ymfpci',
		'vendor' => 'Yamaha Corporation',
		'product' => 'YMF-744B [DS-1S Audio Controller]',
		},
	'0012' => {
		'type' => 'unknown',
		'module' => 'snd-card-ymfpci',
		'vendor' => 'Yamaha Corporation',
		'product' => 'YMF-754 [DS-1E Audio Controller]',
		},
	'0020' => {
		'type' => 'unknown',
		'module' => 'ymfpci',
		'vendor' => 'Yamaha Corporation',
		'product' => 'DS-1 Audio',
		},
	},
'1077' => {
	'1016' => {
		'type' => 'scsi',
		'module' => 'qla1280',
		'vendor' => 'Q Logic',
		'product' => 'QLA10160',
		},
	'1020' => {
		'type' => 'scsi',
		'module' => 'qlogicisp',
		'vendor' => 'Q Logic',
		'product' => 'ISP1020',
		},
	'1022' => {
		'type' => 'scsi',
		'module' => 'qlogicisp',
		'vendor' => 'Q Logic',
		'product' => 'ISP1022',
		},
	'1080' => {
		'type' => 'scsi',
		'module' => 'qla1280',
		'vendor' => 'Q Logic',
		'product' => 'QLA1080',
		},
	'1216' => {
		'type' => 'scsi',
		'module' => 'qla1280',
		'vendor' => 'Q Logic',
		'product' => 'QLA12160',
		},
	'1240' => {
		'type' => 'scsi',
		'module' => 'qla1280',
		'vendor' => 'Q Logic',
		'product' => 'QLA1240',
		},
	'1280' => {
		'type' => 'scsi',
		'module' => 'qla1280',
		'vendor' => 'Q Logic',
		'product' => 'QLA1280',
		},
	'2100' => {
		'type' => 'unknown',
		'module' => 'qla2x00',
		'vendor' => 'Q Logic',
		'product' => 'QLA2100',
		},
	'2200' => {
		'type' => 'unknown',
		'module' => 'qla2x00',
		'vendor' => 'Q Logic',
		'product' => 'QLA2200',
		},
	},
'107e' => {
	'0004' => {
		'type' => 'unknown',
		'module' => 'iph5526',
		'vendor' => '',
		'product' => '',
		},
	'0005' => {
		'type' => 'unknown',
		'module' => 'iph5526',
		'vendor' => '',
		'product' => '',
		},
	},
'108d' => {
	'0002' => {
		'type' => 'tokenring',
		'module' => 'ibmtr',
		'vendor' => 'Olicom',
		'product' => '16/4 Token Ring',
		},
	'0004' => {
		'type' => 'tokenring',
		'module' => 'ibmtr',
		'vendor' => 'Olicom',
		'product' => 'RapidFire 3139 Token-Ring 16/4 PCI Adapter',
		},
	'0005' => {
		'type' => 'tokenring',
		'module' => 'ibmtr',
		'vendor' => 'Olicom',
		'product' => 'GoCard 3250 Token-Ring 16/4 CardBus PC Card',
		},
	'0007' => {
		'type' => 'tokenring',
		'module' => 'ibmtr',
		'vendor' => 'Olicom',
		'product' => 'RapidFire 3141 Token-Ring 16/4 PCI Fiber Adapter',
		},
	'0012' => {
		'type' => 'ethernet',
		'module' => 'tlan',
		'vendor' => 'Olicom',
		'product' => 'OC-2325',
		},
	'0013' => {
		'type' => 'ethernet',
		'module' => 'tlan',
		'vendor' => 'Olicom',
		'product' => 'OC-2183/2185',
		},
	'0014' => {
		'type' => 'ethernet',
		'module' => 'tlan',
		'vendor' => 'Olicom',
		'product' => 'OC-2326',
		},
	'0019' => {
		'type' => 'ethernet',
		'module' => 'tlan',
		'vendor' => 'Olicom',
		'product' => 'OC-2327/2250 10/100 Ethernet Adapter',
		},
	},
'108e' => {
	'1001' => {
		'type' => 'ethernet',
		'module' => 'sunhme',
		'vendor' => 'Sun',
		'product' => 'Happy Meal',
		},
	},
'1095' => {
	'0670' => {
		'type' => 'unknown',
		'module' => 'usb-ohci',
		'vendor' => 'CMD Technology Inc',
		'product' => 'USB0670',
		},
	'0673' => {
		'type' => 'unknown',
		'module' => 'usb-ohci',
		'vendor' => 'CMD Technology Inc',
		'product' => 'USB0673',
		},
	},
'1098' => {
	'0001' => {
		'type' => 'unknown',
		'module' => 'Server:SVGA',
		'vendor' => 'Quantum Designs',
		'product' => 'QD-8500',
		},
	'0002' => {
		'type' => 'unknown',
		'module' => 'Server:SVGA',
		'vendor' => 'Quantum Designs',
		'product' => 'QD-8580',
		},
	},
'109e' => {
	'0350' => {
		'type' => 'unknown',
		'module' => 'bttv',
		'vendor' => 'Miro',
		'product' => 'PCTV (1rst generation)',
		},
	'0351' => {
		'type' => 'unknown',
		'module' => 'bttv',
		'vendor' => 'Brooktree Corporation',
		'product' => 'Bt849A Video capture',
		},
	'036c' => {
		'type' => 'unknown',
		'module' => 'bttv',
		'vendor' => 'Brooktree Corporation',
		'product' => 'Bt879(??) Video Capture',
		},
	'036e' => {
		'type' => 'unknown',
		'module' => 'bttv',
		'vendor' => 'Brooktree Corporation',
		'product' => 'Bt878',
		},
	'036f' => {
		'type' => 'unknown',
		'module' => 'bttv',
		'vendor' => 'Brooktree Corporation',
		'product' => 'Bt879',
		},
	'0878' => {
		'type' => 'unknown',
		'module' => 'bttv',
		'vendor' => 'Brooktree Corporation',
		'product' => 'Bt878',
		},
	'0879' => {
		'type' => 'unknown',
		'module' => 'bttv',
		'vendor' => 'Brooktree Corporation',
		'product' => 'BtV ??? Video Capture',
		},
	'0880' => {
		'type' => 'unknown',
		'module' => 'bttv',
		'vendor' => 'Brooktree Corporation',
		'product' => 'BtV ??? Video Capture',
		},
	},
'10a9' => {
	'0009' => {
		'type' => 'ethernet',
		'module' => 'acenic',
		'vendor' => 'Silicon Graphics',
		'product' => 'Alteon Gigabit Ethernet',
		},
	},
'10b3' => {
	'b106' => {
		'type' => 'unknown',
		'module' => 'i82365',
		'vendor' => 'Databook Inc',
		'product' => 'DB87144',
		},
	},
'10b4' => {
	'2636' => {
		'type' => 'unknown',
		'module' => 'bttv',
		'vendor' => 'STB',
		'product' => '???',
		},
	},
'10b5' => {
	'1030' => {
		'type' => 'unknown',
		'module' => 'hisax',
		'vendor' => 'PLX Technology, Inc.',
		'product' => 'Gazel ISDN Adapter',
		},
	'1054' => {
		'type' => 'unknown',
		'module' => 'hisax',
		'vendor' => 'PLX Technology, Inc.',
		'product' => 'Gazel ISDN Adapter',
		},
	'1151' => {
		'type' => 'unknown',
		'module' => 'hisax',
		'vendor' => 'PLX Technology, Inc.',
		'product' => 'Gazel ISDN Adapter',
		},
	'1152' => {
		'type' => 'unknown',
		'module' => 'hisax',
		'vendor' => 'PLX Technology, Inc.',
		'product' => 'Gazel ISDN Adapter',
		},
	'1187' => {
		'type' => 'unknown',
		'module' => 'hisax',
		'vendor' => 'PLX Technology, Inc.',
		'product' => 'Olitec ISDN Adapter',
		},
	'2bd0' => {
		'type' => 'unknown',
		'module' => 'hisax',
		'vendor' => 'PLX Technology, Inc.',
		'product' => 'Gazel ISDN Adapter',
		},
	},
'10b6' => {
	'0002' => {
		'type' => 'tokenring',
		'module' => 'abyss',
		'vendor' => 'Madge Networks',
		'product' => 'Smart 16/4 PCI Ringnode Mk2',
		},
	},
'10b7' => {
	'0001' => {
		'type' => 'ethernet',
		'module' => 'acenic',
		'vendor' => '3Com Corporation',
		'product' => '3c985 1000BaseSX',
		},
	'3390' => {
		'type' => 'tokenring',
		'module' => 'tmspci',
		'vendor' => '3Com Corporation',
		'product' => 'Token Link Velocity',
		},
	'4500' => {
		'type' => 'ethernet',
		'module' => '3c59x',
		'vendor' => '3Com Corporation',
		'product' => '3c450 Cyclone/unknown',
		},
	'5055' => {
		'type' => 'ethernet',
		'module' => '3c59x',
		'vendor' => '3Com Corporation',
		'product' => '3c555 [Megahertz] 10/100 LAN CardBus',
		},
	'5057' => {
		'type' => 'ethernet',
		'module' => '3c59x',
		'vendor' => '3Com Corporation',
		'product' => '3c575 [Megahertz] 10/100 LAN CardBus',
		},
	'5157' => {
		'type' => 'ethernet',
		'module' => '3c59x',
		'vendor' => '3Com Corporation',
		'product' => '3c575 [Megahertz] 10/100 LAN CardBus',
		},
	'5257' => {
		'type' => 'ethernet',
		'module' => '3c59x',
		'vendor' => '3Com Corporation',
		'product' => '3c575 Fast EtherLink XL',
		},
	'5900' => {
		'type' => 'ethernet',
		'module' => '3c59x',
		'vendor' => '3Com Corporation',
		'product' => '3c590 10BaseT [Vortex]',
		},
	'5920' => {
		'type' => 'ethernet',
		'module' => '3c59x',
		'vendor' => '3Com Corporation',
		'product' => '3c592 EISA 10mbps Demon/Vortex',
		},
	'5950' => {
		'type' => 'ethernet',
		'module' => '3c59x',
		'vendor' => '3Com Corporation',
		'product' => '3c595 100BaseTX [Vortex]',
		},
	'5951' => {
		'type' => 'ethernet',
		'module' => '3c59x',
		'vendor' => '3Com Corporation',
		'product' => '3c595 100BaseT4 [Vortex]',
		},
	'5952' => {
		'type' => 'ethernet',
		'module' => '3c59x',
		'vendor' => '3Com Corporation',
		'product' => '3c595 100Base-MII [Vortex]',
		},
	'5970' => {
		'type' => 'ethernet',
		'module' => '3c59x',
		'vendor' => '3Com Corporation',
		'product' => '3c597 EISA Fast Demon/Vortex',
		},
	'5b57' => {
		'type' => 'ethernet',
		'module' => '3c59x',
		'vendor' => '',
		'product' => '',
		},
	'6055' => {
		'type' => 'ethernet',
		'module' => '3c59x',
		'vendor' => '3Com Corporation',
		'product' => '3c556 10/100 Mini-PCI Adapter [Cyclone]',
		},
	'6056' => {
		'type' => 'ethernet',
		'module' => '3c59x',
		'vendor' => '',
		'product' => '',
		},
	'6560' => {
		'type' => 'ethernet',
		'module' => '3c59x',
		'vendor' => '3Com Corporation',
		'product' => '3c575 [Megahertz] 10/100 LAN CardBus',
		},
	'6562' => {
		'type' => 'ethernet',
		'module' => '3c59x',
		'vendor' => '3Com Corporation',
		'product' => '3CCFEM656 Cyclone CardBus',
		},
	'6564' => {
		'type' => 'ethernet',
		'module' => '3c59x',
		'vendor' => '',
		'product' => '',
		},
	'7646' => {
		'type' => 'ethernet',
		'module' => '3c59x',
		'vendor' => '3Com Corporation',
		'product' => '3cSOHO100-TX [Hurricane]',
		},
	'9000' => {
		'type' => 'ethernet',
		'module' => '3c59x',
		'vendor' => '3Com Corporation',
		'product' => '3c900 10BaseT [Boomerang]',
		},
	'9001' => {
		'type' => 'ethernet',
		'module' => '3c59x',
		'vendor' => '3Com Corporation',
		'product' => '3c900 Combo [Boomerang]',
		},
	'9004' => {
		'type' => 'ethernet',
		'module' => '3c59x',
		'vendor' => '3Com Corporation',
		'product' => '3c900B-TPO [Etherlink XL TPO]',
		},
	'9005' => {
		'type' => 'ethernet',
		'module' => '3c59x',
		'vendor' => '3Com Corporation',
		'product' => '3c900B-Combo [Etherlink XL Combo]',
		},
	'9006' => {
		'type' => 'ethernet',
		'module' => '3c59x',
		'vendor' => '3Com Corporation',
		'product' => '3c900B-TPC [Etherlink XL TPC]',
		},
	'900a' => {
		'type' => 'ethernet',
		'module' => '3c59x',
		'vendor' => '3Com Corporation',
		'product' => '3c900B-FL [Etherlink XL FL]',
		},
	'9050' => {
		'type' => 'ethernet',
		'module' => '3c59x',
		'vendor' => '3Com Corporation',
		'product' => '3c905 100BaseTX [Boomerang]',
		},
	'9051' => {
		'type' => 'ethernet',
		'module' => '3c59x',
		'vendor' => '3Com Corporation',
		'product' => '3c905 100BaseT4',
		},
	'9055' => {
		'type' => 'ethernet',
		'module' => '3c59x',
		'vendor' => '3Com Corporation',
		'product' => '3c905B 100BaseTX [Cyclone]',
		},
	'9058' => {
		'type' => 'ethernet',
		'module' => '3c59x',
		'vendor' => '3Com Corporation',
		'product' => '3c905B-Combo [Deluxe Etherlink XL 10/100]',
		},
	'905a' => {
		'type' => 'ethernet',
		'module' => '3c59x',
		'vendor' => '3Com Corporation',
		'product' => '3c905B-FX [Fast Etherlink XL FX 10/100]',
		},
	'9200' => {
		'type' => 'ethernet',
		'module' => '3c59x',
		'vendor' => '3Com Corporation',
		'product' => '3c905C-TX [Fast Etherlink]',
		},
	'9800' => {
		'type' => 'ethernet',
		'module' => '3c59x',
		'vendor' => '3Com Corporation',
		'product' => '3c980-TX [Fast Etherlink XL Server Adapter]',
		},
	'9805' => {
		'type' => 'ethernet',
		'module' => '3c59x',
		'vendor' => '3Com Corporation',
		'product' => '3c980-TX [Fast Etherlink XL Server Adapter]',
		},
	},
'10b8' => {
	'0005' => {
		'type' => 'ethernet',
		'module' => 'epic100',
		'vendor' => 'Standard Microsystems Corp [SMC]',
		'product' => '83C170QF',
		},
	'0006' => {
		'type' => 'ethernet',
		'module' => 'epic100',
		'vendor' => 'Standard Microsystems Corp [SMC]',
		'product' => 'LANEPIC',
		},
	},
'10b9' => {
	'5237' => {
		'type' => 'unknown',
		'module' => 'usb-ohci',
		'vendor' => 'Acer Laboratories Inc. [ALi]',
		'product' => 'M5237 (USB)',
		},
	'5451' => {
		'type' => 'unknown',
		'module' => 'trident',
		'vendor' => 'Acer Laboratories Inc. [ALi]',
		'product' => 'M5451 PCI South Bridge Audio',
		},
	},
'10bd' => {
	'0e34' => {
		'type' => 'ethernet',
		'module' => 'ne2k-pci',
		'vendor' => 'Surecom Technology',
		'product' => 'NE-34PCI LAN',
		},
	},
'10c3' => {
	'1100' => {
		'type' => 'ethernet',
		'module' => 'eepro100',
		'vendor' => 'Samsung Semiconductors, Inc.',
		'product' => 'Smartether100 SC1100 LAN Adapter (i82557B)',
		},
	},
'10c8' => {
	'8005' => {
		'type' => 'unknown',
		'module' => 'nm256_audio',
		'vendor' => 'Neomagic Corporation',
		'product' => '[MagicMedia 256AV]',
		},
	'8006' => {
		'type' => 'unknown',
		'module' => 'nm256_audio',
		'vendor' => 'Neomagic Corporation',
		'product' => '[MagicMedia 256AV]',
		},
	},
'10cd' => {
	'1200' => {
		'type' => 'scsi',
		'module' => 'advansys',
		'vendor' => 'Advanced System Products',
		'product' => 'ASC1200 [(abp940) Fast SCSI-II]',
		},
	'1300' => {
		'type' => 'scsi',
		'module' => 'advansys',
		'vendor' => 'Advanced System Products',
		'product' => 'ABP940-U / ABP960-U',
		},
	'2300' => {
		'type' => 'scsi',
		'module' => 'advansys',
		'vendor' => 'Advanced System Products',
		'product' => 'ABP940-UW',
		},
	},
'10d9' => {
	'0512' => {
		'type' => 'ethernet',
		'module' => 'tulip',
		'vendor' => 'Macronix, Inc. [MXIC]',
		'product' => 'MX98713',
		},
	'0531' => {
		'type' => 'ethernet',
		'module' => 'tulip',
		'vendor' => 'Macronix, Inc. [MXIC]',
		'product' => 'MX987x5',
		},
	'8625' => {
		'type' => 'ethernet',
		'module' => 'tulip',
		'vendor' => 'Macronix, Inc. [MXIC]',
		'product' => 'MX86250',
		},
	},
'10da' => {
	'0508' => {
		'type' => 'tokenring',
		'module' => 'tmspci',
		'vendor' => 'Compaq IPG-Austin',
		'product' => 'TC4048 Token Ring 4/16',
		},
	},
'10e3' => {
	'0000' => {
		'type' => 'unknown',
		'module' => 'Server:SVGA',
		'vendor' => 'Tundra Semiconductor Corp.',
		'product' => 'CA91C042 [Universe]',
		},
	},
'10ea' => {
	'1680' => {
		'type' => 'unknown',
		'module' => 'Server:SVGA',
		'vendor' => 'Intergraphics Systems',
		'product' => 'IGA-1680',
		},
	'1682' => {
		'type' => 'unknown',
		'module' => 'Server:SVGA',
		'vendor' => 'Intergraphics Systems',
		'product' => 'IGA-1682',
		},
	'2000' => {
		'type' => 'unknown',
		'module' => 'cyber2000fb',
		'vendor' => 'Intergraphics Systems',
		'product' => 'CyberPro 2000',
		},
	'2010' => {
		'type' => 'unknown',
		'module' => 'cyber2000fb',
		'vendor' => 'Intergraphics Systems',
		'product' => 'CyberPro 2000A',
		},
	'5000' => {
		'type' => 'unknown',
		'module' => 'cyber2000fb',
		'vendor' => 'Intergraphics Systems',
		'product' => 'CyberPro 5000',
		},
	},
'10ec' => {
	'8029' => {
		'type' => 'ethernet',
		'module' => 'ne2k-pci',
		'vendor' => 'Realtek',
		'product' => 'RTL-8029(AS)',
		},
	'8129' => {
		'type' => 'ethernet',
		'module' => '8139too',
		'vendor' => 'Realtek',
		'product' => 'RTL-8129',
		},
	'8138' => {
		'type' => 'ethernet',
		'module' => '8139too',
		'vendor' => 'Realtek',
		'product' => 'RT8139 (B/C) Cardbus Fast Ethernet Adapter',
		},
	'8139' => {
		'type' => 'ethernet',
		'module' => '8139too',
		'vendor' => 'Realtek',
		'product' => 'RTL-8139',
		},
	},
'10ee' => {
	'3fc0' => {
		'type' => 'unknown',
		'module' => 'snd-card-rme96',
		'vendor' => 'Xilinx, Inc.',
		'product' => 'RME Digi96',
		},
	'3fc1' => {
		'type' => 'unknown',
		'module' => 'snd-card-rme96',
		'vendor' => 'Xilinx, Inc.',
		'product' => 'RME Digi96/8',
		},
	'3fc2' => {
		'type' => 'unknown',
		'module' => 'snd-card-rme96',
		'vendor' => 'Xilinx, Inc.',
		'product' => 'RME Digi96/8 Pro',
		},
	'3fc3' => {
		'type' => 'unknown',
		'module' => 'snd-card-rme96',
		'vendor' => 'Xilinx, Inc.',
		'product' => 'RME Digi96/8 Pad',
		},
	},
'1101' => {
	'0002' => {
		'type' => 'unknown',
		'module' => 'initio',
		'vendor' => 'Initio Corporation',
		'product' => 'Ultra SCSI Adapter',
		},
	'1060' => {
		'type' => 'unknown',
		'module' => 'initio',
		'vendor' => 'Initio Corporation',
		'product' => 'INI-A100U2W',
		},
	'134a' => {
		'type' => 'unknown',
		'module' => 'initio',
		'vendor' => 'Initio Corporation',
		'product' => 'Ultra SCSI Adapter',
		},
	'9100' => {
		'type' => 'unknown',
		'module' => 'initio',
		'vendor' => 'Initio Corporation',
		'product' => 'INI-9100/9100W',
		},
	'9400' => {
		'type' => 'unknown',
		'module' => 'initio',
		'vendor' => 'Initio Corporation',
		'product' => 'INI-940',
		},
	'9401' => {
		'type' => 'unknown',
		'module' => 'initio',
		'vendor' => 'Initio Corporation',
		'product' => 'INI-950',
		},
	'9500' => {
		'type' => 'unknown',
		'module' => 'initio',
		'vendor' => 'Initio Corporation',
		'product' => '360P',
		},
	'9700' => {
		'type' => 'unknown',
		'module' => 'initio',
		'vendor' => 'Initio Corp',
		'product' => 'Fast Wide SCSI Controller',
		},
	},
'1102' => {
	'0002' => {
		'type' => 'unknown',
		'module' => 'emu10k1',
		'vendor' => 'Creative Labs',
		'product' => 'SB Live! (audio)',
		},
	'7002' => {
		'type' => 'unknown',
		'module' => 'ns558',
		'vendor' => 'Creative Labs',
		'product' => 'SB Live! (joystick)',
		},
	'8938' => {
		'type' => 'unknown',
		'module' => 'es1371',
		'vendor' => 'Creative Labs',
		'product' => 'ES1371',
		},
	},
'1106' => {
	'0501' => {
		'type' => 'unknown',
		'module' => 'agpgart',
		'vendor' => 'VIA Technologies',
		'product' => 'VT8501',
		},
	'0597' => {
		'type' => 'unknown',
		'module' => 'agpgart',
		'vendor' => 'VIA Technologies',
		'product' => 'VT82C597 [Apollo VP3]',
		},
	'0598' => {
		'type' => 'unknown',
		'module' => 'agpgart',
		'vendor' => 'VIA Technologies',
		'product' => 'VT82C598 [Apollo MVP3]',
		},
	'0691' => {
		'type' => 'unknown',
		'module' => 'agpgart',
		'vendor' => 'VIA Technologies',
		'product' => 'VT82C691 [Apollo PRO]',
		},
	'0926' => {
		'type' => 'ethernet',
		'module' => 'ne2k-pci',
		'vendor' => 'VIA Technologies',
		'product' => 'VT82C926 [Amazon]',
		},
	'3038' => {
		'type' => 'unknown',
		'module' => 'usb-uhci',
		'vendor' => 'VIA Technologies',
		'product' => 'VT82C586B USB',
		},
	'3043' => {
		'type' => 'ethernet',
		'module' => 'via-rhine',
		'vendor' => 'VIA Technologies',
		'product' => 'VT86C100A [Rhine 10/100]',
		},
	'3058' => {
		'type' => 'unknown',
		'module' => 'via82cxxx_audio',
		'vendor' => 'VIA Technologies',
		'product' => 'VT82C686 [Apollo Super AC97/Audio]',
		},
	'3059' => {
		'type' => 'unknown',
		'module' => 'snd-card-via8233',
		'vendor' => 'VIA Technologies',
		'product' => 'VT8233 [AC97 Audio Controller]',
		},
	'3065' => {
		'type' => 'ethernet',
		'module' => 'via-rhine',
		'vendor' => 'VIA Technologies',
		'product' => 'VT82C100A [Rhine 10/100]',
		},
	'6100' => {
		'type' => 'ethernet',
		'module' => 'via-rhine',
		'vendor' => 'VIA Technologies',
		'product' => 'VT85C100A [Rhine II]',
		},
	},
'1113' => {
	'1211' => {
		'type' => 'ethernet',
		'module' => '8139too',
		'vendor' => 'Accton',
		'product' => 'SMC2-1211TX',
		},
	'1216' => {
		'type' => 'ethernet',
		'module' => 'tulip',
		'vendor' => 'Accton',
		'product' => 'Ethernet Adapter',
		},
	'1217' => {
		'type' => 'ethernet',
		'module' => 'tulip',
		'vendor' => 'Accton',
		'product' => 'EN-1217 Ethernet Adapter',
		},
	'9511' => {
		'type' => 'ethernet',
		'module' => 'tulip',
		'vendor' => '',
		'product' => '',
		},
	},
'1118' => {
	'153b' => {
		'type' => 'unknown',
		'module' => 'bttv',
		'vendor' => 'Terratec',
		'product' => 'TV Value',
		},
	},
'1119' => {
	'0000' => {
		'type' => 'scsi',
		'module' => 'gdth',
		'vendor' => 'ICP Vortex',
		'product' => 'GDT 6000/6020/6050',
		},
	'0001' => {
		'type' => 'scsi',
		'module' => 'gdth',
		'vendor' => 'ICP Vortex',
		'product' => 'GDT 6000b/6010',
		},
	'0002' => {
		'type' => 'scsi',
		'module' => 'gdth',
		'vendor' => 'ICP Vortex',
		'product' => 'GDT 6110/6510',
		},
	'0003' => {
		'type' => 'scsi',
		'module' => 'gdth',
		'vendor' => 'ICP Vortex',
		'product' => 'GDT 6120/6520',
		},
	'0004' => {
		'type' => 'scsi',
		'module' => 'gdth',
		'vendor' => 'ICP Vortex',
		'product' => 'GDT 6530',
		},
	'0005' => {
		'type' => 'scsi',
		'module' => 'gdth',
		'vendor' => 'ICP Vortex',
		'product' => 'GDT 6550',
		},
	'0006' => {
		'type' => 'scsi',
		'module' => 'gdth',
		'vendor' => 'ICP Vortex',
		'product' => 'GDT 6x17',
		},
	'0007' => {
		'type' => 'scsi',
		'module' => 'gdth',
		'vendor' => 'ICP Vortex',
		'product' => 'GDT 6x27',
		},
	'0008' => {
		'type' => 'scsi',
		'module' => 'gdth',
		'vendor' => 'ICP Vortex',
		'product' => 'GDT 6537',
		},
	'0009' => {
		'type' => 'scsi',
		'module' => 'gdth',
		'vendor' => 'ICP Vortex',
		'product' => 'GDT 5557',
		},
	'000a' => {
		'type' => 'scsi',
		'module' => 'gdth',
		'vendor' => 'ICP Vortex',
		'product' => 'GDT 6x15',
		},
	'000b' => {
		'type' => 'scsi',
		'module' => 'gdth',
		'vendor' => 'ICP Vortex',
		'product' => 'GDT 6x25',
		},
	'000c' => {
		'type' => 'scsi',
		'module' => 'gdth',
		'vendor' => 'ICP Vortex',
		'product' => 'GDT 6535',
		},
	'000d' => {
		'type' => 'scsi',
		'module' => 'gdth',
		'vendor' => 'ICP Vortex',
		'product' => 'GDT 6555',
		},
	'0100' => {
		'type' => 'scsi',
		'module' => 'gdth',
		'vendor' => 'ICP Vortex',
		'product' => 'GDT 6117RP/6517RP',
		},
	'0101' => {
		'type' => 'scsi',
		'module' => 'gdth',
		'vendor' => 'ICP Vortex',
		'product' => 'GDT 6127RP/6527RP',
		},
	'0102' => {
		'type' => 'scsi',
		'module' => 'gdth',
		'vendor' => 'ICP Vortex',
		'product' => 'GDT 6537RP',
		},
	'0103' => {
		'type' => 'scsi',
		'module' => 'gdth',
		'vendor' => 'ICP Vortex',
		'product' => 'GDT 6557RP',
		},
	'0104' => {
		'type' => 'scsi',
		'module' => 'gdth',
		'vendor' => 'ICP Vortex',
		'product' => 'GDT 6111RP/6511RP',
		},
	'0105' => {
		'type' => 'scsi',
		'module' => 'gdth',
		'vendor' => 'ICP Vortex',
		'product' => 'GDT 6121RP/6521RP',
		},
	'0110' => {
		'type' => 'scsi',
		'module' => 'gdth',
		'vendor' => 'ICP Vortex',
		'product' => 'GDT 6117RP1/6517RP1',
		},
	'0111' => {
		'type' => 'scsi',
		'module' => 'gdth',
		'vendor' => 'ICP Vortex',
		'product' => 'GDT 6127RP1/6527RP1',
		},
	'0112' => {
		'type' => 'scsi',
		'module' => 'gdth',
		'vendor' => 'ICP Vortex',
		'product' => 'GDT 6537RP1',
		},
	'0113' => {
		'type' => 'scsi',
		'module' => 'gdth',
		'vendor' => 'ICP Vortex',
		'product' => 'GDT 6557RP1',
		},
	'0114' => {
		'type' => 'scsi',
		'module' => 'gdth',
		'vendor' => 'ICP Vortex',
		'product' => 'GDT 6111RP1/6511RP1',
		},
	'0115' => {
		'type' => 'scsi',
		'module' => 'gdth',
		'vendor' => 'ICP Vortex',
		'product' => 'GDT 6121RP1/6521RP1',
		},
	'0118' => {
		'type' => 'scsi',
		'module' => 'gdth',
		'vendor' => 'ICP Vortex',
		'product' => 'GDT 6x18RD',
		},
	'0119' => {
		'type' => 'scsi',
		'module' => 'gdth',
		'vendor' => 'ICP Vortex',
		'product' => 'GDT 6x28RD',
		},
	'011A' => {
		'type' => 'scsi',
		'module' => 'gdth',
		'vendor' => 'ICP Vortex',
		'product' => 'GDT 6x38RD',
		},
	'011B' => {
		'type' => 'scsi',
		'module' => 'gdth',
		'vendor' => 'ICP Vortex',
		'product' => 'GDT 6x58RD',
		},
	'011a' => {
		'type' => 'scsi',
		'module' => 'gdth',
		'vendor' => 'ICP Vortex',
		'product' => 'GDT 6x38RD',
		},
	'011b' => {
		'type' => 'scsi',
		'module' => 'gdth',
		'vendor' => 'ICP Vortex',
		'product' => 'GDT 6x58RD',
		},
	'0120' => {
		'type' => 'scsi',
		'module' => 'gdth',
		'vendor' => 'ICP Vortex',
		'product' => 'GDT 6117RP2/6517RP2',
		},
	'0121' => {
		'type' => 'scsi',
		'module' => 'gdth',
		'vendor' => 'ICP Vortex',
		'product' => 'GDT 6127RP2/6527RP2',
		},
	'0122' => {
		'type' => 'scsi',
		'module' => 'gdth',
		'vendor' => 'ICP Vortex',
		'product' => 'GDT 6537RP2',
		},
	'0123' => {
		'type' => 'scsi',
		'module' => 'gdth',
		'vendor' => 'ICP Vortex',
		'product' => 'GDT 6557RP2',
		},
	'0124' => {
		'type' => 'scsi',
		'module' => 'gdth',
		'vendor' => 'ICP Vortex',
		'product' => 'GDT 6111RP2/6511RP2',
		},
	'0125' => {
		'type' => 'scsi',
		'module' => 'gdth',
		'vendor' => 'ICP Vortex',
		'product' => 'GDT 6121RP2/6521RP2',
		},
	'0138' => {
		'type' => 'scsi',
		'module' => 'gdth',
		'vendor' => 'ICP Raid Controller',
		'product' => 'GDT 6118RS/6518RS/6618RS',
		},
	'0139' => {
		'type' => 'scsi',
		'module' => 'gdth',
		'vendor' => 'ICP Raid Controller',
		'product' => 'GDT 6128RS/6528RS/6628RS',
		},
	'013a' => {
		'type' => 'scsi',
		'module' => 'gdth',
		'vendor' => 'ICP Raid Controller',
		'product' => 'GDT 6538RS/6638RS',
		},
	'013b' => {
		'type' => 'scsi',
		'module' => 'gdth',
		'vendor' => 'ICP Raid Controller',
		'product' => 'GDT 6558RS/6658RS',
		},
	'0166' => {
		'type' => 'scsi',
		'module' => 'gdth',
		'vendor' => 'ICP Raid Controller',
		'product' => 'GDT 7113RN/7513RN/7613RN',
		},
	'0167' => {
		'type' => 'scsi',
		'module' => 'gdth',
		'vendor' => 'ICP Raid Controller',
		'product' => 'GDT 7123RN/7523RN/7623RN',
		},
	'0168' => {
		'type' => 'scsi',
		'module' => 'gdth',
		'vendor' => 'ICP Vortex',
		'product' => 'GDT 7x18RN',
		},
	'0169' => {
		'type' => 'scsi',
		'module' => 'gdth',
		'vendor' => 'ICP Vortex',
		'product' => 'GDT 7x28RN',
		},
	'016A' => {
		'type' => 'scsi',
		'module' => 'gdth',
		'vendor' => 'ICP Vortex',
		'product' => 'GDT 7x38RN',
		},
	'016B' => {
		'type' => 'scsi',
		'module' => 'gdth',
		'vendor' => 'ICP Vortex',
		'product' => 'GDT 7x58RN',
		},
	'016a' => {
		'type' => 'scsi',
		'module' => 'gdth',
		'vendor' => 'ICP Vortex',
		'product' => 'GDT 7x38RN',
		},
	'016b' => {
		'type' => 'scsi',
		'module' => 'gdth',
		'vendor' => 'ICP Vortex',
		'product' => 'GDT 7x58RN',
		},
	'016c' => {
		'type' => 'scsi',
		'module' => 'gdth',
		'vendor' => 'ICP Raid Controller',
		'product' => 'GDT 7533RN/7633RN',
		},
	'016d' => {
		'type' => 'scsi',
		'module' => 'gdth',
		'vendor' => 'ICP Raid Controller',
		'product' => 'GDT 7543RN/7643RN',
		},
	'016e' => {
		'type' => 'scsi',
		'module' => 'gdth',
		'vendor' => 'ICP Raid Controller',
		'product' => 'GDT 7553RN/7653RN',
		},
	'016f' => {
		'type' => 'scsi',
		'module' => 'gdth',
		'vendor' => 'ICP Raid Controller',
		'product' => 'GDT 7563RN/7663RN',
		},
	'0210' => {
		'type' => 'scsi',
		'module' => 'gdth',
		'vendor' => 'ICP Vortex',
		'product' => 'GDT 6x19RD',
		},
	'0211' => {
		'type' => 'scsi',
		'module' => 'gdth',
		'vendor' => 'ICP Vortex',
		'product' => 'GDT 6x29RD',
		},
	'0260' => {
		'type' => 'scsi',
		'module' => 'gdth',
		'vendor' => 'ICP Vortex',
		'product' => 'GDT 7x19RN',
		},
	'0261' => {
		'type' => 'scsi',
		'module' => 'gdth',
		'vendor' => 'ICP Vortex',
		'product' => 'GDT 7x29RN',
		},
	},
'1123' => {
	'153b' => {
		'type' => 'unknown',
		'module' => 'bttv',
		'vendor' => 'Terratec',
		'product' => 'TV/Radio+',
		},
	},
'1133' => {
	'e001' => {
		'type' => 'unknown',
		'module' => 'hisax',
		'vendor' => 'Eicon',
		'product' => 'DIVA 20PRO ISDN Adapter',
		},
	'e002' => {
		'type' => 'unknown',
		'module' => 'hisax',
		'vendor' => 'Eicon',
		'product' => 'DIVA 20 ISDN Adapter',
		},
	'e003' => {
		'type' => 'unknown',
		'module' => 'hisax',
		'vendor' => 'Eicon',
		'product' => 'DIVA 20PRO_U ISDN Adapter',
		},
	'e004' => {
		'type' => 'unknown',
		'module' => 'hisax',
		'vendor' => 'Eicon',
		'product' => 'DIVA 20_U ISDN Adapter',
		},
	'e005' => {
		'type' => 'unknown',
		'module' => 'hisax',
		'vendor' => 'Eicon',
		'product' => 'ISDN Controller',
		},
	},
'1148' => {
	'4200' => {
		'type' => 'unknown',
		'module' => 'sktr',
		'vendor' => 'Syskonnect (Schneider & Koch)',
		'product' => 'Token ring adaptor',
		},
	'4300' => {
		'type' => 'ethernet',
		'module' => 'sk98lin',
		'vendor' => 'Syskonnect (Schneider & Koch)',
		'product' => 'Gigabit Ethernet',
		},
	},
'114f' => {
	'0003' => {
		'type' => 'ethernet',
		'module' => 'dgrs',
		'vendor' => 'Digi International',
		'product' => 'RightSwitch SE-6',
		},
	'0004' => {
		'type' => 'unknown',
		'module' => 'epca',
		'vendor' => 'Digi International',
		'product' => 'AccelePort Xem',
		},
	'0005' => {
		'type' => 'unknown',
		'module' => 'epca',
		'vendor' => 'Digi International',
		'product' => 'AccelePort Xr',
		},
	'0006' => {
		'type' => 'unknown',
		'module' => 'epca',
		'vendor' => 'Digi International',
		'product' => 'AccelePort Xr,C/X',
		},
	'0009' => {
		'type' => 'unknown',
		'module' => 'epca',
		'vendor' => 'Digi International',
		'product' => 'AccelePort Xr/J',
		},
	'0070' => {
		'type' => 'unknown',
		'module' => 'hisax',
		'vendor' => 'unknown ISDN Adapter',
		'product' => '',
		},
	'0071' => {
		'type' => 'unknown',
		'module' => 'hisax',
		'vendor' => 'Digi International',
		'product' => 'ISDN Adapter',
		},
	'0072' => {
		'type' => 'unknown',
		'module' => 'hisax',
		'vendor' => 'unknown ISDN Adapter',
		'product' => '',
		},
	'0073' => {
		'type' => 'unknown',
		'module' => 'hisax',
		'vendor' => 'unknown ISDN Adapter',
		'product' => '',
		},
	},
'115d' => {
	'0003' => {
		'type' => 'unknown',
		'module' => 'tulip_cb',
		'vendor' => 'Xircom',
		'product' => 'Cardbus Ethernet 10/100',
		},
	},
'1179' => {
	'0603' => {
		'type' => 'unknown',
		'module' => 'i82365',
		'vendor' => 'Toshiba',
		'product' => 'ToPIC95 PCI to CardBus Bridge for Notebooks',
		},
	'060a' => {
		'type' => 'unknown',
		'module' => 'i82365',
		'vendor' => 'Toshiba',
		'product' => 'ToPIC95',
		},
	'060f' => {
		'type' => 'unknown',
		'module' => 'i82365',
		'vendor' => 'Toshiba',
		'product' => 'ToPIC97',
		},
	'0701' => {
		'type' => 'unknown',
		'module' => 'toshoboe',
		'vendor' => 'Toshiba',
		'product' => 'FIR Port',
		},
	},
'1180' => {
	'0465' => {
		'type' => 'unknown',
		'module' => 'i82365',
		'vendor' => 'Ricoh Co Ltd',
		'product' => 'RL5c465',
		},
	'0466' => {
		'type' => 'unknown',
		'module' => 'i82365',
		'vendor' => 'Ricoh Co Ltd',
		'product' => 'RL5c466',
		},
	'0475' => {
		'type' => 'unknown',
		'module' => 'i82365',
		'vendor' => 'Ricoh Co Ltd',
		'product' => 'RL5c475',
		},
	'0476' => {
		'type' => 'unknown',
		'module' => 'i82365',
		'vendor' => 'Ricoh Co Ltd',
		'product' => 'RL5c476 II',
		},
	'0477' => {
		'type' => 'unknown',
		'module' => 'i82365',
		'vendor' => 'Ricoh Co Ltd',
		'product' => 'RL5c477',
		},
	'0478' => {
		'type' => 'unknown',
		'module' => 'i82365',
		'vendor' => 'Ricoh Co Ltd',
		'product' => 'RL5c478',
		},
	},
'1186' => {
	'0100' => {
		'type' => 'ethernet',
		'module' => 'tulip',
		'vendor' => 'D-Link System Inc',
		'product' => 'DC21041',
		},
	'1002' => {
		'type' => 'ethernet',
		'module' => 'sundance',
		'vendor' => 'D-Link Inc',
		'product' => 'DFE 550 TX',
		},
	'1100' => {
		'type' => 'ethernet',
		'module' => 'tulip',
		'vendor' => 'D-Link Inc',
		'product' => 'Fast Ethernet Adapter',
		},
	'1300' => {
		'type' => 'ethernet',
		'module' => '8139too',
		'vendor' => 'D-Link Inc',
		'product' => 'DFE 538 TX',
		},
	},
'1191' => {
	'8002' => {
		'type' => 'scsi',
		'module' => 'atp870u',
		'vendor' => 'Artop Electronic Corp',
		'product' => 'AEC6710 SCSI-2 Host Adapter',
		},
	'8010' => {
		'type' => 'scsi',
		'module' => 'atp870u',
		'vendor' => 'Artop Electronic Corp',
		'product' => 'AEC6712UW SCSI',
		},
	'8020' => {
		'type' => 'scsi',
		'module' => 'atp870u',
		'vendor' => 'Artop Electronic Corp',
		'product' => 'AEC6712U SCSI',
		},
	'8030' => {
		'type' => 'scsi',
		'module' => 'atp870u',
		'vendor' => 'Artop Electronic Corp',
		'product' => 'AEC6712S SCSI',
		},
	'8040' => {
		'type' => 'scsi',
		'module' => 'atp870u',
		'vendor' => 'Artop Electronic Corp',
		'product' => 'AEC6712D SCSI',
		},
	'8050' => {
		'type' => 'scsi',
		'module' => 'atp870u',
		'vendor' => 'Artop Electronic Corp',
		'product' => 'AEC6712SUW SCSI',
		},
	},
'119b' => {
	'1221' => {
		'type' => 'unknown',
		'module' => 'i82365',
		'vendor' => 'Omega Micro Inc.',
		'product' => '82C092G',
		},
	},
'11ad' => {
	'0002' => {
		'type' => 'ethernet',
		'module' => 'tulip',
		'vendor' => 'Lite-On',
		'product' => 'LNE100TX',
		},
	'c115' => {
		'type' => 'ethernet',
		'module' => 'tulip',
		'vendor' => 'Lite-On',
		'product' => 'LC82C115 PNIC-II',
		},
	},
'11c1' => {
	'0440' => {
		'type' => 'unknown',
		'module' => 'Bad:www.linmodems.org',
		'vendor' => 'Lucent Microelectronics',
		'product' => '56k WinModem',
		},
	'0441' => {
		'type' => 'unknown',
		'module' => 'Bad:www.linmodems.org',
		'vendor' => 'Lucent Microelectronics',
		'product' => '56k WinModem',
		},
	'0442' => {
		'type' => 'unknown',
		'module' => 'Bad:www.linmodems.org',
		'vendor' => 'Lucent Microelectronics',
		'product' => '56k WinModem',
		},
	'0443' => {
		'type' => 'unknown',
		'module' => 'Bad:www.linmodems.org',
		'vendor' => 'Lucent Microelectronics',
		'product' => 'LT WinModem',
		},
	'0444' => {
		'type' => 'unknown',
		'module' => 'Bad:www.linmodems.org',
		'vendor' => 'Lucent Microelectronics',
		'product' => 'LT WinModem',
		},
	'0445' => {
		'type' => 'unknown',
		'module' => 'Bad:www.linmodems.org',
		'vendor' => 'Lucent Microelectronics',
		'product' => 'LT WinModem',
		},
	'0446' => {
		'type' => 'unknown',
		'module' => 'Bad:www.linmodems.org',
		'vendor' => 'Lucent Microelectronics',
		'product' => 'LT WinModem',
		},
	'0447' => {
		'type' => 'unknown',
		'module' => 'Bad:www.linmodems.org',
		'vendor' => 'Lucent Microelectronics',
		'product' => 'LT WinModem',
		},
	'0448' => {
		'type' => 'unknown',
		'module' => 'Bad:www.linmodems.org',
		'vendor' => 'Lucent Microelectronics',
		'product' => 'WinModem 56k',
		},
	'0449' => {
		'type' => 'unknown',
		'module' => 'Bad:www.linmodems.org',
		'vendor' => 'Lucent Microelectronics',
		'product' => 'WinModem 56k',
		},
	'044a' => {
		'type' => 'unknown',
		'module' => 'Bad:www.linmodems.org',
		'vendor' => 'Lucent Microelectronics',
		'product' => 'F-1156IV WinModem (V90, 56KFlex)',
		},
	'044b' => {
		'type' => 'unknown',
		'module' => 'Bad:www.linmodems.org',
		'vendor' => 'Lucent Microelectronics',
		'product' => 'LT WinModem',
		},
	'044c' => {
		'type' => 'unknown',
		'module' => 'Bad:www.linmodems.org',
		'vendor' => 'Lucent Microelectronics',
		'product' => 'LT WinModem',
		},
	'044d' => {
		'type' => 'unknown',
		'module' => 'Bad:www.linmodems.org',
		'vendor' => 'Lucent Microelectronics',
		'product' => 'LT WinModem',
		},
	'044e' => {
		'type' => 'unknown',
		'module' => 'Bad:www.linmodems.org',
		'vendor' => 'Lucent Microelectronics',
		'product' => 'LT WinModem',
		},
	'0450' => {
		'type' => 'unknown',
		'module' => 'Bad:www.linmodems.org',
		'vendor' => 'Lucent Microelectronics',
		'product' => 'LT WinModem',
		},
	'0451' => {
		'type' => 'unknown',
		'module' => 'Bad:www.linmodems.org',
		'vendor' => 'Lucent Microelectronics',
		'product' => 'LT WinModem',
		},
	'0452' => {
		'type' => 'unknown',
		'module' => 'Bad:www.linmodems.org',
		'vendor' => 'Lucent Microelectronics',
		'product' => 'LT WinModem',
		},
	'0453' => {
		'type' => 'unknown',
		'module' => 'Bad:www.linmodems.org',
		'vendor' => 'Lucent Microelectronics',
		'product' => 'LT WinModem',
		},
	'0454' => {
		'type' => 'unknown',
		'module' => 'Bad:www.linmodems.org',
		'vendor' => 'Lucent Microelectronics',
		'product' => 'LT WinModem',
		},
	'0455' => {
		'type' => 'unknown',
		'module' => 'Bad:www.linmodems.org',
		'vendor' => 'Lucent Microelectronics',
		'product' => 'LT WinModem',
		},
	'0456' => {
		'type' => 'unknown',
		'module' => 'Bad:www.linmodems.org',
		'vendor' => 'Lucent Microelectronics',
		'product' => 'LT WinModem',
		},
	'0457' => {
		'type' => 'unknown',
		'module' => 'Bad:www.linmodems.org',
		'vendor' => 'Lucent Microelectronics',
		'product' => 'LT WinModem',
		},
	'0458' => {
		'type' => 'unknown',
		'module' => 'Bad:www.linmodems.org',
		'vendor' => 'Lucent Microelectronics',
		'product' => 'LT WinModem',
		},
	'0459' => {
		'type' => 'unknown',
		'module' => 'Bad:www.linmodems.org',
		'vendor' => 'Lucent Microelectronics',
		'product' => 'LT WinModem',
		},
	'045a' => {
		'type' => 'unknown',
		'module' => 'Bad:www.linmodems.org',
		'vendor' => 'Lucent Microelectronics',
		'product' => 'LT WinModem',
		},
	'0480' => {
		'type' => 'unknown',
		'module' => 'Bad:www.linmodems.org',
		'vendor' => 'Lucent Microelectronics',
		'product' => 'Venus WinModem (V90, 56KFlex)',
		},
	'5801' => {
		'type' => 'unknown',
		'module' => 'usb-ohci',
		'vendor' => 'AT&T Microelectronics (Lucent)',
		'product' => 'USB Open Host Controller',
		},
	},
'11de' => {
	'6057' => {
		'type' => 'unknown',
		'module' => 'buz',
		'vendor' => 'Zoran Corporation',
		'product' => 'ZR36057PQC Video cutting chipset',
		},
	'6120' => {
		'type' => 'unknown',
		'module' => 'hisax',
		'vendor' => 'Zoran Corporation',
		'product' => 'ZR36120 ISDN Adapter',
		},
	},
'11f6' => {
	'0112' => {
		'type' => 'ethernet',
		'module' => 'hp100',
		'vendor' => 'Compex',
		'product' => 'ENet100VG4',
		},
	'1401' => {
		'type' => 'ethernet',
		'module' => 'ne2k-pci',
		'vendor' => 'Compex',
		'product' => 'ReadyLink 2000',
		},
	'2011' => {
		'type' => 'ethernet',
		'module' => 'winbond-840',
		'vendor' => 'Compex',
		'product' => 'RL100-ATX 10/100',
		},
	'2201' => {
		'type' => 'ethernet',
		'module' => 'ne2k-pci',
		'vendor' => 'Compex',
		'product' => 'ReadyLink 100TX (Winbond W89C840)',
		},
	'9881' => {
		'type' => 'ethernet',
		'module' => 'tulip',
		'vendor' => 'Compex',
		'product' => 'RL100TX',
		},
	},
'1200' => {
	'bd11' => {
		'type' => 'unknown',
		'module' => 'bttv',
		'vendor' => 'Pinnacle',
		'product' => 'PCTV Rave',
		},
	},
'120f' => {
	'0001' => {
		'type' => 'ethernet',
		'module' => 'rrunner',
		'vendor' => 'Essential Communications',
		'product' => 'Roadrunner serial HIPPI',
		},
	},
'1217' => {
	'6729' => {
		'type' => 'unknown',
		'module' => 'i82365',
		'vendor' => 'O2 Micro, Inc.',
		'product' => '6729',
		},
	'673a' => {
		'type' => 'unknown',
		'module' => 'i82365',
		'vendor' => 'O2 Micro, Inc.',
		'product' => '6730',
		},
	'6832' => {
		'type' => 'unknown',
		'module' => 'i82365',
		'vendor' => 'O2 Micro, Inc.',
		'product' => '6832',
		},
	'6836' => {
		'type' => 'unknown',
		'module' => 'i82365',
		'vendor' => 'O2 Micro, Inc.',
		'product' => '6836',
		},
	'6872' => {
		'type' => 'unknown',
		'module' => 'i82365',
		'vendor' => 'O2 Micro, Inc.',
		'product' => '6872',
		},
	},
'1244' => {
	'0700' => {
		'type' => 'unknown',
		'module' => 'b1pci',
		'vendor' => 'AVM Audiovisuelles',
		'product' => 'B1 ISDN Adapter',
		},
	'0a00' => {
		'type' => 'unknown',
		'module' => 'hisax',
		'vendor' => 'AVM Audiovisuelles',
		'product' => 'A1 ISDN Adapter [Fritz]',
		},
	'1200' => {
		'type' => 'unknown',
		'module' => 't1pci',
		'vendor' => '',
		'product' => '',
		},
	},
'1256' => {
	'4201' => {
		'type' => 'scsi',
		'module' => 'pci2220i',
		'vendor' => 'Perceptive Solutions, Inc.',
		'product' => 'PCI-2220I',
		},
	'4401' => {
		'type' => 'scsi',
		'module' => 'pci2220i',
		'vendor' => 'Perceptive Solutions, Inc.',
		'product' => 'PCI-2240I',
		},
	'5201' => {
		'type' => 'scsi',
		'module' => 'pci2000',
		'vendor' => 'Perceptive Solutions, Inc.',
		'product' => 'PCI-2000',
		},
	},
'1259' => {
	'2560' => {
		'type' => 'ethernet',
		'module' => 'eepro100',
		'vendor' => 'Allied Telesyn International',
		'product' => 'AT-2560 Fast Ethernet Adapter (i82557B)',
		},
	},
'125b' => {
	'1400' => {
		'type' => 'ethernet',
		'module' => 'tulip',
		'vendor' => 'ASIX',
		'product' => 'AX88140',
		},
	},
'125d' => {
	'1948' => {
		'type' => 'unknown',
		'module' => 'maestro',
		'vendor' => 'ESS Technology',
		'product' => 'ES1948 Maestro 1',
		},
	'1968' => {
		'type' => 'unknown',
		'module' => 'maestro',
		'vendor' => 'ESS Technology',
		'product' => 'ES1968 Maestro 2',
		},
	'1969' => {
		'type' => 'unknown',
		'module' => 'snd-es1938',
		'vendor' => 'ESS Technology',
		'product' => 'ES1969 Solo-1 Audiodrive',
		},
	'1978' => {
		'type' => 'unknown',
		'module' => 'maestro',
		'vendor' => 'ESS Technology',
		'product' => 'ES1978 Maestro 2E',
		},
	'1988' => {
		'type' => 'unknown',
		'module' => 'maestro3',
		'vendor' => 'ESS Technology',
		'product' => 'ES1988 Allegro-1',
		},
	'1998' => {
		'type' => 'unknown',
		'module' => 'maestro3',
		'vendor' => 'ESS Technology',
		'product' => 'ES1983S Maestro-3i PCI Audio Accelerator',
		},
	'199a' => {
		'type' => 'unknown',
		'module' => 'maestro3',
		'vendor' => 'ESS Technology',
		'product' => 'Maestro-3',
		},
	},
'1266' => {
	'0001' => {
		'type' => 'ethernet',
		'module' => 'eepro100',
		'vendor' => 'Microdyne Corporation',
		'product' => 'NE10/100 Adapter (i82557B)',
		},
	},
'1267' => {
	'1016' => {
		'type' => 'unknown',
		'module' => 'hisax',
		'vendor' => 'S. A. Telecommunications',
		'product' => 'Dr. Neuhaus Niccy PCI ISDN Adapter',
		},
	},
'1274' => {
	'1371' => {
		'type' => 'unknown',
		'module' => 'es1371',
		'vendor' => 'Ensoniq',
		'product' => 'ES1371 [AudioPCI-97]',
		},
	'5000' => {
		'type' => 'unknown',
		'module' => 'snd-card-ens1370',
		'vendor' => 'Ensoniq',
		'product' => 'ES1370 [AudioPCI]',
		},
	'5880' => {
		'type' => 'unknown',
		'module' => 'es1371',
		'vendor' => 'Ensoniq',
		'product' => 'CT5880',
		},
	},
'1282' => {
	'9100' => {
		'type' => 'ethernet',
		'module' => 'tulip',
		'vendor' => 'Davicom',
		'product' => 'DM9100',
		},
	'9102' => {
		'type' => 'ethernet',
		'module' => 'tulip',
		'vendor' => 'Davicom',
		'product' => 'Ethernet 100/10 MBit DM9102',
		},
	'9132' => {
		'type' => 'ethernet',
		'module' => 'dmfe',
		'vendor' => '',
		'product' => '',
		},
	},
'1285' => {
	'0100' => {
		'type' => 'unknown',
		'module' => 'maestro',
		'vendor' => 'Platform Technologies, Inc.',
		'product' => 'AGOGO sound chip (aka ESS Maestro 1)',
		},
	},
'12ae' => {
	'0001' => {
		'type' => 'ethernet',
		'module' => 'acenic',
		'vendor' => 'Alteon Networks Inc.',
		'product' => 'AceNIC Gigabit Ethernet',
		},
	'0002' => {
		'type' => 'ethernet',
		'module' => 'acenic',
		'vendor' => 'Alteon Networks Inc.',
		'product' => 'AceNIC Gigabit Ethernet (Copper)',
		},
	},
'12b9' => {
	'1006' => {
		'type' => 'unknown',
		'module' => 'Bad:www.linmodems.org',
		'vendor' => 'US Robotics/3Com',
		'product' => 'WinModem',
		},
	'1007' => {
		'type' => 'unknown',
		'module' => 'Bad:www.linmodems.org',
		'vendor' => 'US Robotics/3Com',
		'product' => 'USR 56k Internal WinModem',
		},
	},
'12c3' => {
	'0058' => {
		'type' => 'ethernet',
		'module' => 'ne2k-pci',
		'vendor' => '',
		'product' => '',
		},
	'5598' => {
		'type' => 'ethernet',
		'module' => 'ne2k-pci',
		'vendor' => '',
		'product' => '',
		},
	},
'12eb' => {
	'0001' => {
		'type' => 'unknown',
		'module' => 'Bad:http://sourceforge.net/projects/aureal',
		'vendor' => 'Aureal Semiconductor',
		'product' => 'Vortex 1',
		},
	'0002' => {
		'type' => 'unknown',
		'module' => 'Bad:http://sourceforge.net/projects/aureal',
		'vendor' => 'Aureal Semiconductor',
		'product' => 'Vortex 2',
		},
	},
'1317' => {
	'0981' => {
		'type' => 'ethernet',
		'module' => 'tulip',
		'vendor' => 'ADMtek',
		'product' => 'AN981 Comet',
		},
	'0985' => {
		'type' => 'ethernet',
		'module' => 'tulip',
		'vendor' => 'Bridgecom, Inc',
		'product' => 'Linksys EtherFast 10/100',
		},
	'1985' => {
		'type' => 'ethernet',
		'module' => 'tulip',
		'vendor' => '',
		'product' => '',
		},
	},
'1318' => {
	'0911' => {
		'type' => 'ethernet',
		'module' => 'hamachi',
		'vendor' => 'Packet Engines Inc.',
		'product' => 'PCI Ethernet Adapter',
		},
	},
'1319' => {
	'0801' => {
		'type' => 'unknown',
		'module' => 'snd-card-fm801',
		'vendor' => 'Fortemedia, Inc',
		'product' => 'Xwave QS3000A [FM801]',
		},
	'1000' => {
		'type' => 'unknown',
		'module' => 'snd-card-fm801',
		'vendor' => 'Fortemedia, Inc',
		'product' => 'FM801 PCI Audio',
		},
	},
'134a' => {
	'0001' => {
		'type' => 'scsi',
		'module' => 'dtc',
		'vendor' => 'DTC Technology Corp.',
		'product' => 'Domex 536',
		},
	'0002' => {
		'type' => 'scsi',
		'module' => 'dtc',
		'vendor' => 'DTC Technology Corp.',
		'product' => 'Domex DMX3194UP SCSI Adapter',
		},
	},
'1365' => {
	'9050' => {
		'type' => 'unknown',
		'module' => 'hysdn',
		'vendor' => '',
		'product' => '',
		},
	},
'1385' => {
	'620a' => {
		'type' => 'ethernet',
		'module' => 'acenic',
		'vendor' => 'Netgear',
		'product' => 'GA620',
		},
	'630a' => {
		'type' => 'ethernet',
		'module' => 'acenic',
		'vendor' => '',
		'product' => '',
		},
	},
'1397' => {
	'2bd0' => {
		'type' => 'unknown',
		'module' => 'hisax',
		'vendor' => 'Cologne Chip Designs',
		'product' => 'ISDN network controller [HFC-PCI]',
		},
	'b000' => {
		'type' => 'unknown',
		'module' => 'hisax',
		'vendor' => 'Cologne Chip Designs',
		'product' => 'ISDN network controller [HFC-PCI]',
		},
	'b006' => {
		'type' => 'unknown',
		'module' => 'hisax',
		'vendor' => 'Cologne Chip Designs',
		'product' => 'ISDN network controller [HFC-PCI]',
		},
	'b007' => {
		'type' => 'unknown',
		'module' => 'hisax',
		'vendor' => 'Cologne Chip Designs',
		'product' => 'ISDN network controller [HFC-PCI]',
		},
	'b008' => {
		'type' => 'unknown',
		'module' => 'hisax',
		'vendor' => 'Cologne Chip Designs',
		'product' => 'ISDN network controller [HFC-PCI]',
		},
	'b009' => {
		'type' => 'unknown',
		'module' => 'hisax',
		'vendor' => 'Cologne Chip Designs',
		'product' => 'ISDN network controller [HFC-PCI]',
		},
	'b00a' => {
		'type' => 'unknown',
		'module' => 'hisax',
		'vendor' => 'Cologne Chip Designs',
		'product' => 'ISDN network controller [HFC-PCI]',
		},
	'b00b' => {
		'type' => 'unknown',
		'module' => 'hisax',
		'vendor' => 'Cologne Chip Designs',
		'product' => 'ISDN network controller [HFC-PCI]',
		},
	'b00c' => {
		'type' => 'unknown',
		'module' => 'hisax',
		'vendor' => 'Cologne Chip Designs',
		'product' => 'ISDN network controller [HFC-PCI]',
		},
	'b100' => {
		'type' => 'unknown',
		'module' => 'hisax',
		'vendor' => 'Cologne Chip Designs',
		'product' => 'ISDN network controller [HFC-PCI]',
		},
	},
'13c0' => {
	'0010' => {
		'type' => 'unknown',
		'module' => 'synclink',
		'vendor' => 'Microgate Corporation',
		'product' => 'SyncLink WAN Adapter',
		},
	},
'13c1' => {
	'1000' => {
		'type' => 'scsi',
		'module' => '3w-xxxx',
		'vendor' => '3ware Inc',
		'product' => '3ware ATA-RAID',
		},
	},
'13d1' => {
	'2bd1' => {
		'type' => 'unknown',
		'module' => 'hisax',
		'vendor' => 'unknown ISDN Adapter',
		'product' => '',
		},
	'ab02' => {
		'type' => 'ethernet',
		'module' => 'tulip',
		'vendor' => '',
		'product' => '',
		},
	'ab03' => {
		'type' => 'ethernet',
		'module' => 'tulip',
		'vendor' => '',
		'product' => '',
		},
	},
'13eb' => {
	'0070' => {
		'type' => 'unknown',
		'module' => 'bttv',
		'vendor' => 'Hauppauge',
		'product' => 'WinTV',
		},
	},
'13f0' => {
	'0201' => {
		'type' => 'ethernet',
		'module' => 'sundance',
		'vendor' => '',
		'product' => '',
		},
	},
'13f6' => {
	'0100' => {
		'type' => 'unknown',
		'module' => 'cmpci',
		'vendor' => 'C-Media Electronics Inc',
		'product' => 'CM8338A',
		},
	'0101' => {
		'type' => 'unknown',
		'module' => 'cmpci',
		'vendor' => 'C-Media Electronics Inc',
		'product' => 'CM8338B',
		},
	'0111' => {
		'type' => 'unknown',
		'module' => 'cmpci',
		'vendor' => 'C-Media Electronics Inc',
		'product' => 'CM8738',
		},
	'0112' => {
		'type' => 'unknown',
		'module' => 'snd-card-cmipci',
		'vendor' => '',
		'product' => '',
		},
	'0211' => {
		'type' => 'unknown',
		'module' => 'cmpci',
		'vendor' => 'C-Media Electronics Inc',
		'product' => 'CM8738',
		},
	},
'1400' => {
	'1401' => {
		'type' => 'ethernet',
		'module' => 'epic100',
		'vendor' => 'Standard Microsystems Corp [SMC]',
		'product' => '9432 TX',
		},
	},
'1412' => {
	'1712' => {
		'type' => 'unknown',
		'module' => 'snd-card-ice1712',
		'vendor' => 'IC Ensemble Inc',
		'product' => 'ICE1712 [Envy24]',
		},
	},
'1461' => {
	'0002' => {
		'type' => 'unknown',
		'module' => 'bttv',
		'vendor' => 'Avermedia',
		'product' => 'TVCapture 98',
		},
	},
'14b9' => {
	'0001' => {
		'type' => 'ethernet',
		'module' => 'aironet4500_card',
		'vendor' => 'AIRONET Wireless Communications',
		'product' => 'PC4800',
		},
	'4500' => {
		'type' => 'ethernet',
		'module' => 'aironet4500_card',
		'vendor' => '',
		'product' => '',
		},
	'4800' => {
		'type' => 'ethernet',
		'module' => 'aironet4500_card',
		'vendor' => '',
		'product' => '',
		},
	},
'14f1' => {
	'1033' => {
		'type' => 'unknown',
		'module' => 'Bad:www.linmodems.org',
		'vendor' => 'CONEXANT',
		'product' => '56K Winmodem',
		},
	'1803' => {
		'type' => 'ethernet',
		'module' => 'tulip',
		'vendor' => '',
		'product' => '',
		},
	'2003' => {
		'type' => 'unknown',
		'module' => 'Bad:www.linmodems.org',
		'vendor' => 'CONEXANT',
		'product' => 'SoftK56 Winmodem',
		},
	'2004' => {
		'type' => 'unknown',
		'module' => 'Bad:www.linmodems.org',
		'vendor' => 'CONEXANT',
		'product' => 'SoftK56 RemoteTAM Winmodem',
		},
	'2005' => {
		'type' => 'unknown',
		'module' => 'Bad:www.linmodems.org',
		'vendor' => 'CONEXANT',
		'product' => 'SoftK56 Speakerphone Winmodem',
		},
	'2006' => {
		'type' => 'unknown',
		'module' => 'Bad:www.linmodems.org',
		'vendor' => 'CONEXANT',
		'product' => 'SoftK56 Speakerphone Winmodem',
		},
	'2014' => {
		'type' => 'unknown',
		'module' => 'Bad:www.linmodems.org',
		'vendor' => 'CONEXANT',
		'product' => 'SoftK56 RemoteTAM Winmodem',
		},
	'2015' => {
		'type' => 'unknown',
		'module' => 'Bad:www.linmodems.org',
		'vendor' => 'CONEXANT',
		'product' => 'SoftK56 Speakerphone Winmodem',
		},
	'2016' => {
		'type' => 'unknown',
		'module' => 'Bad:www.linmodems.org',
		'vendor' => 'CONEXANT',
		'product' => 'SoftK56 Speakerphone Winmodem',
		},
	},
'1500' => {
	'1360' => {
		'type' => 'ethernet',
		'module' => '8139too',
		'vendor' => 'Delta Electronics',
		'product' => '8139 10/100BaseTX',
		},
	},
'1571' => {
	'a001' => {
		'type' => 'unknown',
		'module' => 'com20020-pci',
		'vendor' => 'Contemporary Controls',
		'product' => 'CCSI PCI20-485 ARCnet',
		},
	'a002' => {
		'type' => 'unknown',
		'module' => 'com20020-pci',
		'vendor' => 'Contemporary Controls',
		'product' => 'CCSI PCI20-485D ARCnet',
		},
	'a003' => {
		'type' => 'unknown',
		'module' => 'com20020-pci',
		'vendor' => 'Contemporary Controls',
		'product' => 'CCSI PCI20-485X ARCnet',
		},
	'a004' => {
		'type' => 'unknown',
		'module' => 'com20020-pci',
		'vendor' => 'Contemporary Controls',
		'product' => 'CCSI PCI20-CXB ARCnet',
		},
	'a005' => {
		'type' => 'unknown',
		'module' => 'com20020-pci',
		'vendor' => 'Contemporary Controls',
		'product' => 'CCSI PCI20-CXS ARCnet',
		},
	'a006' => {
		'type' => 'unknown',
		'module' => 'com20020-pci',
		'vendor' => 'Contemporary Controls',
		'product' => 'CCSI PCI20-FOG-SMA ARCnet',
		},
	'a007' => {
		'type' => 'unknown',
		'module' => 'com20020-pci',
		'vendor' => 'Contemporary Controls',
		'product' => 'CCSI PCI20-FOG-ST ARCnet',
		},
	'a008' => {
		'type' => 'unknown',
		'module' => 'com20020-pci',
		'vendor' => 'Contemporary Controls',
		'product' => 'CCSI PCI20-TB5 ARCnet',
		},
	'a009' => {
		'type' => 'unknown',
		'module' => 'com20020-pci',
		'vendor' => 'Contemporary Controls',
		'product' => 'CCSI PCI20-5-485 5Mbit ARCnet',
		},
	'a00a' => {
		'type' => 'unknown',
		'module' => 'com20020-pci',
		'vendor' => 'Contemporary Controls',
		'product' => 'CCSI PCI20-5-485D 5Mbit ARCnet',
		},
	'a00b' => {
		'type' => 'unknown',
		'module' => 'com20020-pci',
		'vendor' => 'Contemporary Controls',
		'product' => 'CCSI PCI20-5-485X 5Mbit ARCnet',
		},
	'a00c' => {
		'type' => 'unknown',
		'module' => 'com20020-pci',
		'vendor' => 'Contemporary Controls',
		'product' => 'CCSI PCI20-5-FOG-ST 5Mbit ARCnet',
		},
	'a00d' => {
		'type' => 'unknown',
		'module' => 'com20020-pci',
		'vendor' => 'Contemporary Controls',
		'product' => 'CCSI PCI20-5-FOG-SMA 5Mbit ARCnet',
		},
	'a201' => {
		'type' => 'unknown',
		'module' => 'com20020-pci',
		'vendor' => 'Contemporary Controls',
		'product' => 'CCSI PCI22-485 10Mbit ARCnet',
		},
	'a202' => {
		'type' => 'unknown',
		'module' => 'com20020-pci',
		'vendor' => 'Contemporary Controls',
		'product' => 'CCSI PCI22-485D 10Mbit ARCnet',
		},
	'a203' => {
		'type' => 'unknown',
		'module' => 'com20020-pci',
		'vendor' => 'Contemporary Controls',
		'product' => 'CCSI PCI22-485X 10Mbit ARCnet',
		},
	'a204' => {
		'type' => 'unknown',
		'module' => 'com20020-pci',
		'vendor' => 'Contemporary Controls',
		'product' => 'CCSI PCI22-CHB 10Mbit ARCnet',
		},
	'a205' => {
		'type' => 'unknown',
		'module' => 'com20020-pci',
		'vendor' => 'Contemporary Controls',
		'product' => 'CCSI PCI22-FOG_ST 10Mbit ARCnet',
		},
	'a206' => {
		'type' => 'unknown',
		'module' => 'com20020-pci',
		'vendor' => 'Contemporary Controls',
		'product' => 'CCSI PCI22-THB 10Mbit ARCnet',
		},
	},
'15b0' => {
	'2bd0' => {
		'type' => 'unknown',
		'module' => 'hisax',
		'vendor' => 'Zoltrix',
		'product' => '2BD0 ISDN Adapter',
		},
	},
'1850' => {
	'1851' => {
		'type' => 'unknown',
		'module' => 'bttv',
		'vendor' => 'Chronos',
		'product' => 'Video Shuttle II',
		},
	},
'1851' => {
	'1851' => {
		'type' => 'unknown',
		'module' => 'bttv',
		'vendor' => 'CyberMail AV',
		'product' => '',
		},
	},
'1852' => {
	'1852' => {
		'type' => 'unknown',
		'module' => 'bttv',
		'vendor' => 'Typhoon',
		'product' => 'TView TV/FM Tuner',
		},
	},
'1d44' => {
	'a400' => {
		'type' => 'scsi',
		'module' => 'eata',
		'vendor' => 'DPT',
		'product' => 'PM2x24/PM3224',
		},
	},
'1de1' => {
	'0391' => {
		'type' => 'unknown',
		'module' => 'dc395x_trm',
		'vendor' => 'Tekram',
		'product' => 'TRM-S1040',
		},
	},
'217d' => {
	'6606' => {
		'type' => 'unknown',
		'module' => 'bttv',
		'vendor' => 'Leadtek',
		'product' => 'WinFast TV 2000',
		},
	},
'2636' => {
	'10b4' => {
		'type' => 'unknown',
		'module' => 'bttv',
		'vendor' => 'STB',
		'product' => 'TV PCI FM, P/N 6000704',
		},
	},
'3000' => {
	'144f' => {
		'type' => 'unknown',
		'module' => 'bttv',
		'vendor' => '???!TView 99 (CPH063)',
		'product' => '',
		},
	'14ff' => {
		'type' => 'unknown',
		'module' => 'bttv',
		'vendor' => '???!TView 99 (CPH061)',
		'product' => '',
		},
	},
'3002' => {
	'144f' => {
		'type' => 'unknown',
		'module' => 'bttv',
		'vendor' => 'Askey',
		'product' => 'Magic TView',
		},
	'14ff' => {
		'type' => 'unknown',
		'module' => 'bttv',
		'vendor' => 'Phoebe',
		'product' => 'TV Master',
		},
	},
'4005' => {
	'4000' => {
		'type' => 'unknown',
		'module' => 'snd-card-als4000',
		'vendor' => 'Avance Logic Inc.',
		'product' => 'ALS4000 Audio Chipset',
		},
	},
'400a' => {
	'15b0' => {
		'type' => 'unknown',
		'module' => 'bttv',
		'vendor' => 'Zoltrix',
		'product' => 'Genie TV',
		},
	},
'4010' => {
	'15b0' => {
		'type' => 'unknown',
		'module' => 'bttv',
		'vendor' => 'Zoltrix',
		'product' => 'Genie TV / Radio',
		},
	},
'4020' => {
	'10fc' => {
		'type' => 'unknown',
		'module' => 'bttv',
		'vendor' => 'I-O Data Co.',
		'product' => 'GV-BCV3/PCI',
		},
	},
'4033' => {
	'1360' => {
		'type' => 'ethernet',
		'module' => '8139too',
		'vendor' => 'Addtron Technology',
		'product' => '8139 10/100BaseTX',
		},
	},
'4050' => {
	'10fc' => {
		'type' => 'unknown',
		'module' => 'bttv',
		'vendor' => 'I-O Data Co. GV-BCV4/PCI',
		'product' => '',
		},
	},
'4500' => {
	'0070' => {
		'type' => 'unknown',
		'module' => 'bttv',
		'vendor' => 'Hauppauge WinTV/PVR',
		'product' => '',
		},
	},
'494f' => {
	'22c0' => {
		'type' => 'unknown',
		'module' => 'wdt_pci',
		'vendor' => '',
		'product' => '',
		},
	},
'4a14' => {
	'5000' => {
		'type' => 'ethernet',
		'module' => 'ne2k-pci',
		'vendor' => 'NetVin',
		'product' => 'NV5000SC',
		},
	},
'5046' => {
	'1001' => {
		'type' => 'unknown',
		'module' => 'radio-maxiradio',
		'vendor' => '',
		'product' => '',
		},
	},
'5333' => {
	'ca00' => {
		'type' => 'unknown',
		'module' => 'sonicvibes',
		'vendor' => 'S3 Inc.',
		'product' => 'SonicVibes',
		},
	},
'6606' => {
	'107d' => {
		'type' => 'unknown',
		'module' => 'bttv',
		'vendor' => 'Leadtek WinFast TV 2000',
		'product' => '',
		},
	'217d' => {
		'type' => 'unknown',
		'module' => 'bttv',
		'vendor' => 'Leadtek',
		'product' => 'WinFast TV 2000',
		},
	},
'8086' => {
	'0039' => {
		'type' => 'ethernet',
		'module' => 'tulip',
		'vendor' => 'Intel Corporation',
		'product' => '21145',
		},
	'1000' => {
		'type' => 'unknown',
		'module' => 'e1000',
		'vendor' => 'Intel Corporation',
		'product' => '82542 Gigabit Ethernet Adapter',
		},
	'1001' => {
		'type' => 'unknown',
		'module' => 'e1000',
		'vendor' => 'Intel Corporation',
		'product' => '82543 Gigabit Ethernet Adapter',
		},
	'1029' => {
		'type' => 'ethernet',
		'module' => 'eepro100',
		'vendor' => '',
		'product' => '',
		},
	'1030' => {
		'type' => 'ethernet',
		'module' => 'eepro100',
		'vendor' => 'Intel Corporation',
		'product' => '82559 InBusiness 10/100',
		},
	'1130' => {
		'type' => 'unknown',
		'module' => 'agpgart',
		'vendor' => 'Intel Corporation',
		'product' => '82815 815 Chipset Host Bridge and Memory Controller Hub',
		},
	'1209' => {
		'type' => 'ethernet',
		'module' => 'eepro100',
		'vendor' => 'Intel Corporation',
		'product' => '82559ER',
		},
	'1221' => {
		'type' => 'unknown',
		'module' => 'i82365',
		'vendor' => 'Intel Corporation',
		'product' => '82092AA_0',
		},
	'1222' => {
		'type' => 'unknown',
		'module' => 'i82365',
		'vendor' => 'Intel Corporation',
		'product' => '82092AA_1',
		},
	'1227' => {
		'type' => 'ethernet',
		'module' => 'eepro100',
		'vendor' => 'Intel Corporation',
		'product' => '82865 [Ether Express Pro 100]',
		},
	'1228' => {
		'type' => 'ethernet',
		'module' => 'eepro100',
		'vendor' => 'Intel Corporation',
		'product' => '82556 [Ether Express Pro 100 Smart]',
		},
	'1229' => {
		'type' => 'ethernet',
		'module' => 'eepro100',
		'vendor' => 'Intel Corporation',
		'product' => '82559 [Ethernet Pro 100]',
		},
	'1960' => {
		'type' => 'scsi',
		'module' => 'megaraid',
		'vendor' => 'Intel Corporation',
		'product' => '80960RP [i960RP Microprocessor]',
		},
	'1a21' => {
		'type' => 'unknown',
		'module' => 'agpgart',
		'vendor' => 'Intel Corporation',
		'product' => '82840 840 (Carmel) Chipset Host Bridge (Hub A)',
		},
	'2412' => {
		'type' => 'unknown',
		'module' => 'usb-uhci',
		'vendor' => 'Intel Corporation',
		'product' => '82801AA 810 Chipset USB Controller',
		},
	'2415' => {
		'type' => 'unknown',
		'module' => 'i810_audio',
		'vendor' => 'Intel Corporation',
		'product' => '82801AA 810 Chipset AC\'97 Audio Controller',
		},
	'2418' => {
		'type' => 'unknown',
		'module' => 'i810_rng',
		'vendor' => 'Intel Corporation',
		'product' => '82801AA 810 Chipset Hub to PCI Bridge',
		},
	'2422' => {
		'type' => 'unknown',
		'module' => 'usb-uhci',
		'vendor' => 'Intel Corporation',
		'product' => '82801AB 810 Chipset USB Controller',
		},
	'2425' => {
		'type' => 'unknown',
		'module' => 'i810_audio',
		'vendor' => 'Intel Corporation',
		'product' => '82901 810 Chipset AC\'97 Audio Controller',
		},
	'2428' => {
		'type' => 'unknown',
		'module' => 'i810_rng',
		'vendor' => 'Intel Corporation',
		'product' => '82801AB 810 Chipset Hub to PCI Bridge',
		},
	'2442' => {
		'type' => 'unknown',
		'module' => 'usb-uhci',
		'vendor' => 'Intel Corporation',
		'product' => '82820 815e (Camino 2) Chipset USB (Hub A)',
		},
	'2444' => {
		'type' => 'unknown',
		'module' => 'usb-uhci',
		'vendor' => 'Intel Corporation',
		'product' => '82820 815e (Camino 2) Chipset USB (Hub B)',
		},
	'2445' => {
		'type' => 'unknown',
		'module' => 'i810_audio',
		'vendor' => 'Intel Corporation',
		'product' => 'ICH2 810 Chipset AC\'97 Audio Controller',
		},
	'2449' => {
		'type' => 'ethernet',
		'module' => 'eepro100',
		'vendor' => 'Intel Corporation',
		'product' => 'EtherExpress PRO/100',
		},
	'3092' => {
		'type' => 'unknown',
		'module' => 'i2o_block',
		'vendor' => 'Intel Corporation',
		'product' => 'Integrated RAID',
		},
	'5200' => {
		'type' => 'ethernet',
		'module' => 'eepro100',
		'vendor' => 'Intel Corporation',
		'product' => 'EtherExpress PRO/100',
		},
	'5201' => {
		'type' => 'ethernet',
		'module' => 'eepro100',
		'vendor' => 'Intel Corporation',
		'product' => 'EtherExpress PRO/100',
		},
	'7020' => {
		'type' => 'unknown',
		'module' => 'usb-uhci',
		'vendor' => 'Intel Corporation',
		'product' => '82371SB PIIX3 USB [Natoma/Triton II]',
		},
	'7112' => {
		'type' => 'unknown',
		'module' => 'usb-uhci',
		'vendor' => 'Intel Corporation',
		'product' => '82371AB PIIX4 USB',
		},
	'7120' => {
		'type' => 'unknown',
		'module' => 'agpgart',
		'vendor' => 'Intel Corporation',
		'product' => '82810 GMCH [Graphics Memory Controller Hub]',
		},
	'7122' => {
		'type' => 'unknown',
		'module' => 'agpgart',
		'vendor' => 'Intel Corporation',
		'product' => '82810-DC100 GMCH [Graphics Memory Controller Hub]',
		},
	'7124' => {
		'type' => 'unknown',
		'module' => 'agpgart',
		'vendor' => 'Intel Corporation',
		'product' => '82810E GMCH [Graphics Memory Controller Hub]',
		},
	'7180' => {
		'type' => 'unknown',
		'module' => 'agpgart',
		'vendor' => 'Intel Corporation',
		'product' => '440LX/EX - 82443LX/EX Host bridge',
		},
	'7190' => {
		'type' => 'unknown',
		'module' => 'agpgart',
		'vendor' => 'Intel Corporation',
		'product' => '440BX/ZX - 82443BX/ZX Host bridge',
		},
	'7195' => {
		'type' => 'unknown',
		'module' => 'i810_audio',
		'vendor' => 'Intel Corporation',
		'product' => '440MX 810 Chipset AC\'97 Audio Controller',
		},
	'719a' => {
		'type' => 'unknown',
		'module' => 'usb-uhci',
		'vendor' => 'Intel',
		'product' => '82440MX USB Universal Host Controller',
		},
	'71a0' => {
		'type' => 'unknown',
		'module' => 'agpgart',
		'vendor' => 'Intel Corporation',
		'product' => '440GX - 82443GX Host bridge',
		},
	'7602' => {
		'type' => 'unknown',
		'module' => 'usb-uhci',
		'vendor' => 'Intel Corporation',
		'product' => '82372FB [PCI-to-USB UHCI]',
		},
	'9621' => {
		'type' => 'unknown',
		'module' => 'i2o_block',
		'vendor' => 'Intel Corporation',
		'product' => 'Integrated RAID',
		},
	'9622' => {
		'type' => 'unknown',
		'module' => 'i2o_block',
		'vendor' => 'Intel Corporation',
		'product' => 'Integrated RAID',
		},
	'9641' => {
		'type' => 'unknown',
		'module' => 'i2o_block',
		'vendor' => 'Intel Corporation',
		'product' => 'Integrated RAID',
		},
	'96a1' => {
		'type' => 'unknown',
		'module' => 'i2o_block',
		'vendor' => 'Intel Corporation',
		'product' => 'Integrated RAID',
		},
	},
'8e2e' => {
	'3000' => {
		'type' => 'ethernet',
		'module' => 'ne2k-pci',
		'vendor' => 'KTI',
		'product' => 'ET32P2',
		},
	},
'9004' => {
	'1078' => {
		'type' => 'scsi',
		'module' => 'aic7xxx',
		'vendor' => 'Adaptec',
		'product' => 'AIC-7810',
		},
	'2178' => {
		'type' => 'scsi',
		'module' => 'aic7xxx',
		'vendor' => 'Adaptec',
		'product' => 'AIC-7821',
		},
	'3860' => {
		'type' => 'scsi',
		'module' => 'aic7xxx',
		'vendor' => 'Adaptec',
		'product' => 'AHA-2930CU',
		},
	'5075' => {
		'type' => 'scsi',
		'module' => 'aic7xxx',
		'vendor' => 'Adaptec',
		'product' => 'AIC-755x',
		},
	'5078' => {
		'type' => 'scsi',
		'module' => 'aic7xxx',
		'vendor' => 'Adaptec',
		'product' => 'AHA-7850',
		},
	'5175' => {
		'type' => 'scsi',
		'module' => 'aic7xxx',
		'vendor' => 'Adaptec',
		'product' => 'AIC-755x',
		},
	'5178' => {
		'type' => 'scsi',
		'module' => 'aic7xxx',
		'vendor' => 'Adaptec',
		'product' => 'AIC-7851',
		},
	'5275' => {
		'type' => 'scsi',
		'module' => 'aic7xxx',
		'vendor' => 'Adaptec',
		'product' => 'AIC-755x',
		},
	'5278' => {
		'type' => 'scsi',
		'module' => 'aic7xxx',
		'vendor' => 'Adaptec',
		'product' => 'AIC-7852',
		},
	'5375' => {
		'type' => 'scsi',
		'module' => 'aic7xxx',
		'vendor' => 'Adaptec',
		'product' => 'AIC-755x',
		},
	'5378' => {
		'type' => 'scsi',
		'module' => 'aic7xxx',
		'vendor' => 'Adaptec',
		'product' => 'AIC-7850',
		},
	'5475' => {
		'type' => 'scsi',
		'module' => 'aic7xxx',
		'vendor' => 'Adaptec',
		'product' => 'AIC-2930',
		},
	'5478' => {
		'type' => 'scsi',
		'module' => 'aic7xxx',
		'vendor' => 'Adaptec',
		'product' => 'AIC-7850',
		},
	'5575' => {
		'type' => 'scsi',
		'module' => 'aic7xxx',
		'vendor' => 'Adaptec',
		'product' => 'AVA-2930',
		},
	'5578' => {
		'type' => 'scsi',
		'module' => 'aic7xxx',
		'vendor' => 'Adaptec',
		'product' => 'AIC-7855',
		},
	'5675' => {
		'type' => 'scsi',
		'module' => 'aic7xxx',
		'vendor' => 'Adaptec',
		'product' => 'AIC-755x',
		},
	'5678' => {
		'type' => 'scsi',
		'module' => 'aic7xxx',
		'vendor' => 'Adaptec',
		'product' => 'AIC-7850',
		},
	'5775' => {
		'type' => 'scsi',
		'module' => 'aic7xxx',
		'vendor' => 'Adaptec',
		'product' => 'AIC-755x',
		},
	'5778' => {
		'type' => 'scsi',
		'module' => 'aic7xxx',
		'vendor' => 'Adaptec',
		'product' => 'AIC-7850',
		},
	'5800' => {
		'type' => 'scsi',
		'module' => 'aic7xxx',
		'vendor' => 'Adaptec',
		'product' => 'AIC-5800',
		},
	'6038' => {
		'type' => 'scsi',
		'module' => 'aic7xxx',
		'vendor' => 'Adaptec',
		'product' => 'AIC-3860',
		},
	'6075' => {
		'type' => 'scsi',
		'module' => 'aic7xxx',
		'vendor' => 'Adaptec',
		'product' => 'AIC-1480 / APA-1480',
		},
	'6078' => {
		'type' => 'scsi',
		'module' => 'aic7xxx',
		'vendor' => 'Adaptec',
		'product' => 'AIC-7860',
		},
	'6178' => {
		'type' => 'scsi',
		'module' => 'aic7xxx',
		'vendor' => 'Adaptec',
		'product' => 'AIC-7861',
		},
	'6278' => {
		'type' => 'scsi',
		'module' => 'aic7xxx',
		'vendor' => 'Adaptec',
		'product' => 'AIC-7860',
		},
	'6378' => {
		'type' => 'scsi',
		'module' => 'aic7xxx',
		'vendor' => 'Adaptec',
		'product' => 'AIC-7860',
		},
	'6478' => {
		'type' => 'scsi',
		'module' => 'aic7xxx',
		'vendor' => 'Adaptec',
		'product' => 'AIC-786',
		},
	'6578' => {
		'type' => 'scsi',
		'module' => 'aic7xxx',
		'vendor' => 'Adaptec',
		'product' => 'AIC-786x',
		},
	'6678' => {
		'type' => 'scsi',
		'module' => 'aic7xxx',
		'vendor' => 'Adaptec',
		'product' => 'AIC-786',
		},
	'6778' => {
		'type' => 'scsi',
		'module' => 'aic7xxx',
		'vendor' => 'Adaptec',
		'product' => 'AIC-786x',
		},
	'6915' => {
		'type' => 'ethernet',
		'module' => 'starfire',
		'vendor' => 'Adaptec',
		'product' => 'ANA620xx/ANA69011A Fast Ethernet',
		},
	'7078' => {
		'type' => 'scsi',
		'module' => 'aic7xxx',
		'vendor' => 'Adaptec',
		'product' => 'AHA-294x / AIC-7870',
		},
	'7178' => {
		'type' => 'scsi',
		'module' => 'aic7xxx',
		'vendor' => 'Adaptec',
		'product' => 'AHA-294x / AIC-7871',
		},
	'7278' => {
		'type' => 'scsi',
		'module' => 'aic7xxx',
		'vendor' => 'Adaptec',
		'product' => 'AHA-3940 / AIC-7872',
		},
	'7378' => {
		'type' => 'scsi',
		'module' => 'aic7xxx',
		'vendor' => 'Adaptec',
		'product' => 'AHA-3985 / AIC-7873',
		},
	'7478' => {
		'type' => 'scsi',
		'module' => 'aic7xxx',
		'vendor' => 'Adaptec',
		'product' => 'AHA-2944 / AIC-7874',
		},
	'7578' => {
		'type' => 'scsi',
		'module' => 'aic7xxx',
		'vendor' => 'Adaptec',
		'product' => 'AHA-3944 / AHA-3944W / 7875',
		},
	'7678' => {
		'type' => 'scsi',
		'module' => 'aic7xxx',
		'vendor' => 'Adaptec',
		'product' => 'AHA-4944W/UW / 7876',
		},
	'7778' => {
		'type' => 'scsi',
		'module' => 'aic7xxx',
		'vendor' => 'Adaptec',
		'product' => 'AIC-787x',
		},
	'7810' => {
		'type' => 'scsi',
		'module' => 'aic7xxx',
		'vendor' => 'Adaptec',
		'product' => 'AIC-7810',
		},
	'7815' => {
		'type' => 'scsi',
		'module' => 'aic7xxx',
		'vendor' => 'Adaptec',
		'product' => 'AIC-7815 RAID+Memory Controller IC',
		},
	'7850' => {
		'type' => 'scsi',
		'module' => 'aic7xxx',
		'vendor' => 'Adaptec',
		'product' => 'AIC-7850',
		},
	'7855' => {
		'type' => 'scsi',
		'module' => 'aic7xxx',
		'vendor' => 'Adaptec',
		'product' => 'AHA-2930',
		},
	'7860' => {
		'type' => 'scsi',
		'module' => 'aic7xxx',
		'vendor' => 'Adaptec',
		'product' => 'AIC-7860',
		},
	'7870' => {
		'type' => 'scsi',
		'module' => 'aic7xxx',
		'vendor' => 'Adaptec',
		'product' => 'AIC-7870',
		},
	'7871' => {
		'type' => 'scsi',
		'module' => 'aic7xxx',
		'vendor' => 'Adaptec',
		'product' => 'AHA-2940',
		},
	'7872' => {
		'type' => 'scsi',
		'module' => 'aic7xxx',
		'vendor' => 'Adaptec',
		'product' => 'AHA-3940',
		},
	'7873' => {
		'type' => 'scsi',
		'module' => 'aic7xxx',
		'vendor' => 'Adaptec',
		'product' => 'AHA-3980',
		},
	'7874' => {
		'type' => 'scsi',
		'module' => 'aic7xxx',
		'vendor' => 'Adaptec',
		'product' => 'AHA-2944',
		},
	'7880' => {
		'type' => 'scsi',
		'module' => 'aic7xxx',
		'vendor' => 'Adaptec',
		'product' => 'AIC-7880P',
		},
	'7890' => {
		'type' => 'scsi',
		'module' => 'aic7xxx',
		'vendor' => 'Adaptec',
		'product' => 'AIC-7890',
		},
	'7891' => {
		'type' => 'scsi',
		'module' => 'aic7xxx',
		'vendor' => 'Adaptec',
		'product' => 'AIC-789x',
		},
	'7892' => {
		'type' => 'scsi',
		'module' => 'aic7xxx',
		'vendor' => 'Adaptec',
		'product' => 'AIC-789x',
		},
	'7893' => {
		'type' => 'scsi',
		'module' => 'aic7xxx',
		'vendor' => 'Adaptec',
		'product' => 'AIC-789x',
		},
	'7894' => {
		'type' => 'scsi',
		'module' => 'aic7xxx',
		'vendor' => 'Adaptec',
		'product' => 'AIC-789x',
		},
	'7895' => {
		'type' => 'scsi',
		'module' => 'aic7xxx',
		'vendor' => 'Adaptec',
		'product' => 'AHA-2940U/UW / AHA-39xx / AIC-7895',
		},
	'7896' => {
		'type' => 'scsi',
		'module' => 'aic7xxx',
		'vendor' => 'Adaptec',
		'product' => 'AIC-789x',
		},
	'7897' => {
		'type' => 'scsi',
		'module' => 'aic7xxx',
		'vendor' => 'Adaptec',
		'product' => 'AIC-789x',
		},
	'8078' => {
		'type' => 'scsi',
		'module' => 'aic7xxx',
		'vendor' => 'Adaptec',
		'product' => 'AIC-7880U',
		},
	'8178' => {
		'type' => 'scsi',
		'module' => 'aic7xxx',
		'vendor' => 'Adaptec',
		'product' => 'AIC-7881U',
		},
	'8278' => {
		'type' => 'scsi',
		'module' => 'aic7xxx',
		'vendor' => 'Adaptec',
		'product' => 'AHA-3940U/UW / AIC-7882U',
		},
	'8378' => {
		'type' => 'scsi',
		'module' => 'aic7xxx',
		'vendor' => 'Adaptec',
		'product' => 'AHA-3940U/UW / AIC-7883U',
		},
	'8478' => {
		'type' => 'scsi',
		'module' => 'aic7xxx',
		'vendor' => 'Adaptec',
		'product' => 'AHA-294x / AIC-7884U',
		},
	'8578' => {
		'type' => 'scsi',
		'module' => 'aic7xxx',
		'vendor' => 'Adaptec',
		'product' => 'AHA-3944U / AHA-3944UWD / 7885',
		},
	'8678' => {
		'type' => 'scsi',
		'module' => 'aic7xxx',
		'vendor' => 'Adaptec',
		'product' => 'AHA-4944UW / 7886',
		},
	'8778' => {
		'type' => 'scsi',
		'module' => 'aic7xxx',
		'vendor' => 'Adaptec',
		'product' => 'AIC-788x',
		},
	'8878' => {
		'type' => 'scsi',
		'module' => 'aic7xxx',
		'vendor' => 'Adaptec',
		'product' => '7888',
		},
	'8b78' => {
		'type' => 'scsi',
		'module' => 'aic7xxx',
		'vendor' => 'Adaptec',
		'product' => 'ABA-1030',
		},
	'ec78' => {
		'type' => 'scsi',
		'module' => 'aic7xxx',
		'vendor' => 'Adaptec',
		'product' => 'AHA-4944W/UW',
		},
	},
'9005' => {
	'0010' => {
		'type' => 'scsi',
		'module' => 'aic7xxx',
		'vendor' => 'Adaptec',
		'product' => 'AHA-2940U2/W',
		},
	'0011' => {
		'type' => 'scsi',
		'module' => 'aic7xxx',
		'vendor' => 'Adaptec',
		'product' => '2930U2',
		},
	'0013' => {
		'type' => 'scsi',
		'module' => 'aic7xxx',
		'vendor' => 'Adaptec',
		'product' => '78902',
		},
	'001f' => {
		'type' => 'scsi',
		'module' => 'aic7xxx',
		'vendor' => 'Adaptec',
		'product' => 'AHA-2940U2/W / 7890',
		},
	'0020' => {
		'type' => 'scsi',
		'module' => 'aic7xxx',
		'vendor' => 'Adaptec',
		'product' => 'AIC-7890',
		},
	'002f' => {
		'type' => 'scsi',
		'module' => 'aic7xxx',
		'vendor' => 'Adaptec',
		'product' => 'AIC-7890',
		},
	'0030' => {
		'type' => 'scsi',
		'module' => 'aic7xxx',
		'vendor' => 'Adaptec',
		'product' => 'AIC-7890',
		},
	'003f' => {
		'type' => 'scsi',
		'module' => 'aic7xxx',
		'vendor' => 'Adaptec',
		'product' => 'AIC-7890',
		},
	'0050' => {
		'type' => 'scsi',
		'module' => 'aic7xxx',
		'vendor' => 'Adaptec',
		'product' => '3940U2',
		},
	'0051' => {
		'type' => 'scsi',
		'module' => 'aic7xxx',
		'vendor' => 'Adaptec',
		'product' => '3950U2D',
		},
	'0053' => {
		'type' => 'scsi',
		'module' => 'aic7xxx',
		'vendor' => 'Adaptec',
		'product' => 'AIC-7896 SCSI Controller',
		},
	'005f' => {
		'type' => 'scsi',
		'module' => 'aic7xxx',
		'vendor' => 'Adaptec',
		'product' => '7896',
		},
	'0080' => {
		'type' => 'scsi',
		'module' => 'aic7xxx',
		'vendor' => 'Adaptec',
		'product' => '7892A',
		},
	'0081' => {
		'type' => 'scsi',
		'module' => 'aic7xxx',
		'vendor' => 'Adaptec',
		'product' => '7892B',
		},
	'0083' => {
		'type' => 'scsi',
		'module' => 'aic7xxx',
		'vendor' => 'Adaptec',
		'product' => '7892D',
		},
	'008f' => {
		'type' => 'scsi',
		'module' => 'aic7xxx',
		'vendor' => 'Adaptec',
		'product' => '7892P',
		},
	'00c0' => {
		'type' => 'scsi',
		'module' => 'aic7xxx',
		'vendor' => 'Adaptec',
		'product' => '7899A',
		},
	'00c1' => {
		'type' => 'scsi',
		'module' => 'aic7xxx',
		'vendor' => 'Adaptec',
		'product' => '7899B',
		},
	'00c3' => {
		'type' => 'scsi',
		'module' => 'aic7xxx',
		'vendor' => 'Adaptec',
		'product' => '7899D',
		},
	'00cf' => {
		'type' => 'scsi',
		'module' => 'aic7xxx',
		'vendor' => 'Adaptec',
		'product' => '7899P',
		},
	'1364' => {
		'type' => 'unknown',
		'module' => 'aacraid',
		'vendor' => 'Adaptec',
		'product' => 'Dell PowerEdge RAID Controller 2',
		},
	'1365' => {
		'type' => 'unknown',
		'module' => 'aacraid',
		'vendor' => 'Adaptec',
		'product' => 'Dell PowerEdge RAID Controller 2',
		},
	},
'e159' => {
	'0001' => {
		'type' => 'unknown',
		'module' => 'hisax',
		'vendor' => 'Tiger Jet Network Inc.',
		'product' => 'Model 300 128k ISDN Adapter',
		},
	'0002' => {
		'type' => 'unknown',
		'module' => 'hisax',
		'vendor' => 'unknown ISDN Adapter',
		'product' => '',
		},
	},
'ff00' => {
	'0070' => {
		'type' => 'unknown',
		'module' => 'bttv',
		'vendor' => 'Osprey',
		'product' => 'Osprey-100',
		},
	},
'ff01' => {
	'0070' => {
		'type' => 'unknown',
		'module' => 'bttv',
		'vendor' => 'Osprey',
		'product' => 'Osprey-200',
		},
	},
'ffff' => {
	'ffff' => {
		'type' => 'unknown',
		'module' => 'usb-uhci',
		'vendor' => '',
		'product' => '',
		},
	},

        };

1;

